import { ElementRef, OnInit, QueryList } from '@angular/core';
import { AccordionGroupComponent } from './accordion-group.component';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
import { Http } from "@angular/http";
export declare class AccordionComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _translateService;
    _http: Http;
    private _sharedService;
    private elRef;
    constructor(_translateService: TranslateService, _http: Http, _sharedService: SharedService, elRef: ElementRef);
    accordions: QueryList<AccordionGroupComponent>;
    _columns: any;
    columns: any;
    accordion: ElementRef;
    elAccordions: ElementRef;
    id: string;
    securityId: string;
    _items: any;
    randomClass: number;
    ngOnInit(): void;
    setHtml(tab: any): void;
    ngAfterViewInit(): void;
}
