import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { Http } from '@angular/http';
import { ReqHttpService } from '../../services/req-http.service';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
export declare class AutocompleteComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _req;
    private _el;
    private _translateService;
    _http: Http;
    private _sharedService;
    constructor(_req: ReqHttpService, _el: ElementRef, _translateService: TranslateService, _http: Http, _sharedService: SharedService);
    autocomplete: ElementRef;
    component: any;
    listautocomplete: ElementRef;
    id: string;
    securityId: string;
    name: string;
    dataSource: string;
    css: string;
    notnull: boolean;
    styleCss: string;
    placeholder: string;
    text: string[];
    textSeparator: string;
    reqIndexKey: string;
    disabled: boolean;
    readonly: boolean;
    onClick: string;
    onBlur: string;
    onKeyup: string;
    _onClick: EventEmitter<{}>;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    private _attribute;
    attribute: string;
    private privateLabel;
    _label: string;
    label: string;
    private _columns;
    columns: any;
    _dataSource: any[];
    dataAutocomplete: any[];
    randomId: string;
    labelWidth: string;
    isNotMasterDetail: boolean;
    value: any;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    reqService(): void;
    itemClicado(event: any): void;
    blur($event: any): void;
    keyup($event: any): void;
}
