"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var drag_component_1 = require("./drag.component");
var drop_component_1 = require("./drop.component");
var sharedService_1 = require("../../models/sharedService");
var core_2 = require("@ngx-translate/core");
var http_1 = require("@angular/http");
var DragDropContentComponent = (function (_super) {
    __extends(DragDropContentComponent, _super);
    function DragDropContentComponent(_sharedService, _translateService, _http) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this._sharedService = _sharedService;
        _this._translateService = _translateService;
        _this._http = _http;
        _this.securityId = '';
        _this.id = '';
        return _this;
    }
    DragDropContentComponent.prototype.ngOnInit = function () {
        this.validar(this.securityId);
    };
    DragDropContentComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        this.dropComponent.forEach(function (drop) {
            _this.dropSbuscribe = drop.onChangeValue.subscribe(function (val) {
                if (!drop.isDropped) {
                    if (drop.value) {
                        if (typeof drop.value == 'object') {
                            if (drop.value.length > 0) {
                                drop.value.forEach(function (value) {
                                    _this.dragComponent.forEach(function (drag) {
                                        if (drag.items.length > 0) {
                                            var newItems = drop.removeIndexes(drag.items);
                                            newItems.forEach(function (item, index) {
                                                if (JSON.stringify(item) == JSON.stringify(value)) {
                                                    drag['items'][index]['drag_visible'] = false;
                                                    drop.droppedItems.push(drag['items'][index]);
                                                    drop.instanceDrag.push({
                                                        'item': drag['items'][index],
                                                        'instance': drag
                                                    });
                                                }
                                            });
                                            drag.itemsHide = drag.items.filter(function (itm) { return (itm['drag_visible']); });
                                        }
                                    });
                                });
                            }
                            else {
                                drop.droppedItems = [];
                            }
                        }
                    }
                }
                drop.isDropped = false;
            });
        });
    };
    return DragDropContentComponent;
}(abstract_ngmodel_1.AbstractNgModel));
DragDropContentComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-drag-drop',
                template: "<ng-content></ng-content>",
                host: {
                    '[class]': 'columns'
                },
                providers: [abstract_ngmodel_1.MakeProvider(DragDropContentComponent)]
            },] },
];
/** @nocollapse */
DragDropContentComponent.ctorParameters = function () { return [
    { type: sharedService_1.SharedService, },
    { type: core_2.TranslateService, },
    { type: http_1.Http, },
]; };
DragDropContentComponent.propDecorators = {
    'securityId': [{ type: core_1.Input },],
    'id': [{ type: core_1.Input },],
    'dragComponent': [{ type: core_1.ContentChildren, args: [drag_component_1.DragComponent, { descendants: true },] },],
    'dropComponent': [{ type: core_1.ContentChildren, args: [drop_component_1.DropComponent, { descendants: true },] },],
};
exports.DragDropContentComponent = DragDropContentComponent;
