import { EventEmitter, OnInit } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { ReqHttpService } from '../../services/req-http.service';
import { SharedService } from "../../models/sharedService";
import { TranslateService } from '@ngx-translate/core';
import { Http } from '@angular/http';
export declare class DragComponent extends AbstractNgModel implements OnInit, IComponentDefault {
    private _reqHttpService;
    private _sharedService;
    private _translateService;
    _http: Http;
    constructor(_reqHttpService: ReqHttpService, _sharedService: SharedService, _translateService: TranslateService, _http: Http);
    droppedItems: any;
    items: any;
    itemsHide: any;
    value: any;
    callBackDrag: EventEmitter<{}>;
    securityId: string;
    id: string;
    title: string;
    emptyMessage: string;
    textdrag: string;
    keepItems: boolean;
    _design: string;
    design: string;
    itemSrc: string;
    itemLink: string;
    itemIcon: string;
    itemTitle: string;
    itemDesc: string;
    reqIndex: string;
    itemDisable: string;
    dropScope: string[];
    dragScope: string;
    disabled: boolean;
    _dataSource: any;
    dataSource: any;
    _columns: any;
    columns: any;
    reqService(url: any): void;
    changeDataSorce(val: any): void;
    dragEnd(e: any): void;
    onItemDrop(e: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
