import { QueryList } from '@angular/core';
import { InputTextComponent } from '../input/input-text/input-text.component';
import { InputTelefoneComponent } from '../input/input-telefone/input-telefone.component';
import { InputPasswordComponent } from '../input/input-password/input-password.component';
import { InputNumberComponent } from '../input/input-number/input-number.component';
import { InputMaskComponent } from '../input/input-mask/input-mask.component';
import { InputCepComponent } from '../input/input-cep/input-cep.component';
import { InputCnpjComponent } from '../input/input-cnpj/input-cnpj.component';
import { InputCpfComponent } from '../input/input-cpf/input-cpf.component';
import { InputEmailComponent } from '../input/input-email/input-email.component';
import { RadioComponent } from '../radio/radio.component';
import { ListViewComponent } from '../list-view/list-view.component';
import { DateboxComponent } from '../datebox/datebox.component';
import { UploadComponent } from '../upload/upload.component';
import { AutocompleteComponent } from '../autocomplete/autocomplete.component';
import { CheckboxComponent } from '../checkbox/checkbox.component';
import { MoneyComponent } from '../input/money/money.component';
import { TextareaComponent } from '../input/textarea/textarea.component';
import { MultiselectComponent } from '../multiselect/multiselect.component';
import { SelectComponent } from '../select/select.component';
import { CrudFormComponent } from '../crud2/crud2.component';
export declare abstract class AbstractFormComponents {
    constructor();
    objectData: any;
    inputTextComp: QueryList<InputTextComponent>;
    inputTelefoneComp: QueryList<InputTelefoneComponent>;
    inputPasswordComp: QueryList<InputPasswordComponent>;
    inputNumberComp: QueryList<InputNumberComponent>;
    inputMaskComp: QueryList<InputMaskComponent>;
    inputCepComp: QueryList<InputCepComponent>;
    inputCnpjComp: QueryList<InputCnpjComponent>;
    inputCpfComp: QueryList<InputCpfComponent>;
    inputEmailComp: QueryList<InputEmailComponent>;
    radioComp: QueryList<RadioComponent>;
    listViewComp: QueryList<ListViewComponent>;
    dateBoxComp: QueryList<DateboxComponent>;
    uploadComp: QueryList<UploadComponent>;
    autoCompleteComp: QueryList<AutocompleteComponent>;
    checkBoxComp: QueryList<CheckboxComponent>;
    moneyComp: QueryList<MoneyComponent>;
    textareaComp: QueryList<TextareaComponent>;
    multiSelectComp: QueryList<MultiselectComponent>;
    selectComp: QueryList<SelectComponent>;
    crudFormComponent: QueryList<CrudFormComponent>;
    getObject(): any;
    validModels(attr: any, error: any): void;
    crudSetValue(key: any, value: any): void;
    reloadModel(): void;
    setFormControl($object: any, item: any): void;
    addFormControls($object: any, saveAndContinue?: any): void;
    sendForm($data: any, saveAndContinue?: any, saveServer?: any): void;
}
