import { ElementRef, EventEmitter, OnInit, QueryList } from '@angular/core';
import { SharedService } from '../../../models/sharedService';
import { TranslateService } from '@ngx-translate/core';
import { ReqHttpService } from '../../../services/req-http.service';
import { SeriesComponent } from '../series/series.component';
import { DxChartComponent } from 'devextreme-angular';
export declare class LineComponent implements OnInit {
    private _el;
    private _sharedService;
    private _translateService;
    private reqHttp;
    constructor(_el: ElementRef, _sharedService: SharedService, _translateService: TranslateService, reqHttp: ReqHttpService);
    series: QueryList<SeriesComponent>;
    chartLine: DxChartComponent;
    dataSource: any;
    argumentField: string;
    width: any;
    height: any;
    export: boolean;
    texts: boolean;
    indexData: string;
    onClick: string;
    onLegentClick: string;
    _onClick: EventEmitter<{}>;
    _onLegentClick: EventEmitter<{}>;
    _legendsOrientation: string;
    legendsOrientation: string;
    _type: string;
    type: string;
    private _label;
    private privateLabel;
    label: string;
    _columns: any;
    columns: any;
    reqService(url?: string): void;
    pointClickHandler($event: any): void;
    legendClickHandler($event: any): void;
    customizeLabel(arg: any): any;
    ngOnInit(): void;
}
