import { ElementRef, OnInit } from '@angular/core';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { SharedService } from "../../models/sharedService";
import { TranslateService } from '@ngx-translate/core';
import { Http } from '@angular/http';
export declare class ImageComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _el;
    private _sharedService;
    private _translateService;
    _http: Http;
    constructor(_el: ElementRef, _sharedService: SharedService, _translateService: TranslateService, _http: Http);
    _columns: any;
    columns: any;
    src: string;
    width: string;
    height: string;
    label: string;
    styleCss: string;
    securityId: string;
    id: string;
    base64: string;
    css: string;
    labelWidth: string;
    ngOnInit(): void;
    ngDoCheck(): void;
}
