"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var sharedService_1 = require("../../models/sharedService");
var core_2 = require("@ngx-translate/core");
var http_1 = require("@angular/http");
var ImageComponent = (function (_super) {
    __extends(ImageComponent, _super);
    function ImageComponent(_el, _sharedService, _translateService, _http) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this._el = _el;
        _this._sharedService = _sharedService;
        _this._translateService = _translateService;
        _this._http = _http;
        _this._columns = 'col l12 m12 s12';
        _this.src = 'https://www.angularconnect.com/workspace/2015/img/resources/angular.png';
        _this.width = '100%';
        _this.height = 'auto';
        _this.label = '';
        _this.styleCss = '';
        _this.securityId = '';
        _this.id = '';
        _this.base64 = '';
        _this.css = 'sbm-img';
        _this.labelWidth = '';
        return _this;
    }
    Object.defineProperty(ImageComponent.prototype, "columns", {
        get: function () {
            return this._columns;
        },
        set: function (value) {
            this._columns = "col l" + value + " s12 m12";
        },
        enumerable: true,
        configurable: true
    });
    ImageComponent.prototype.ngOnInit = function () {
        _super.prototype.validar.call(this, this.securityId);
    };
    ImageComponent.prototype.ngDoCheck = function () {
        var me = this;
        $(document).ready(function () {
            // if ($(me._el.nativeElement).find('legend').outerWidth() > ($(me._el.nativeElement).outerWidth() - 20)){
            me.labelWidth = ($(me._el.nativeElement).outerWidth() - 20) + 'px';
            // }
        });
    };
    return ImageComponent;
}(abstract_ngmodel_1.AbstractNgModel));
ImageComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-img',
                /*styles: [`
                    .sbm-img {
                        width: 100%;
                        height: auto;
                    }
                `],*/
                template: "\n        <fieldset>\n            <legend *ngIf=\"label != ''\" class=\"sbm-input-label\" [ngStyle]=\"{'max-width': labelWidth}\">&nbsp;{{label}}&nbsp;</legend>\n            <img [class]=\"css\" [src]='src' [ngStyle]=\"{width: width, height: height}\" [style]=\"styleCss\"/>\n        </fieldset>\n    ",
                host: {
                    '[class]': 'columns'
                }
            },] },
];
/** @nocollapse */
ImageComponent.ctorParameters = function () { return [
    { type: core_1.ElementRef, },
    { type: sharedService_1.SharedService, },
    { type: core_2.TranslateService, },
    { type: http_1.Http, },
]; };
ImageComponent.propDecorators = {
    'columns': [{ type: core_1.Input },],
    'src': [{ type: core_1.Input },],
    'width': [{ type: core_1.Input },],
    'height': [{ type: core_1.Input },],
    'label': [{ type: core_1.Input },],
    'styleCss': [{ type: core_1.Input },],
    'securityId': [{ type: core_1.Input },],
    'id': [{ type: core_1.Input },],
    'base64': [{ type: core_1.Input },],
    'css': [{ type: core_1.Input },],
};
exports.ImageComponent = ImageComponent;
