import { ElementRef, EventEmitter, OnInit } from "@angular/core";
import { AbstractNgModel } from "../../../models/abstract.ngmodel";
import { IComponentDefault } from "../../../interfaces/IComponentDefault";
import { TranslateService } from "@ngx-translate/core";
import { SharedService } from "../../../models/sharedService";
import { Subscription } from 'rxjs';
import { Http } from '@angular/http';
export declare class InputTextComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _el;
    _http: Http;
    private _sharedService;
    private _translateService;
    constructor(_el: ElementRef, _http: Http, _sharedService: SharedService, _translateService: TranslateService);
    inputText: ElementRef;
    component: any;
    id: string;
    securityId: string;
    name: string;
    placeholder: string;
    css: string;
    notnull: boolean;
    maxLength: string;
    minLength: string;
    pattern: string;
    styleCss: string;
    digitText: string;
    onBlur: string;
    onKeyup: string;
    disabled: boolean;
    readonly: boolean;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    private _attribute;
    attribute: string;
    private privateLabel;
    _label: any;
    label: string;
    _columns: any;
    columns: any;
    value: any;
    inputValid: boolean;
    msgError: string;
    isNotMasterDetail: boolean;
    randomId: string;
    subscriptionValue: Subscription;
    SubscriptionComp: Subscription;
    validationsMsg: any;
    isNotBlank(value: any): any;
    regex(value: string): boolean;
    keyup($event: any): void;
    blur(retorno: any): void;
    viewSetAttr(): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
