import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { AbstractNgModel } from '../../../models/abstract.ngmodel';
import { IComponentDefault } from '../../../interfaces/IComponentDefault';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../../models/sharedService';
import { Http } from '@angular/http';
export declare class TextareaComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _el;
    private _translateService;
    _http: Http;
    private _sharedService;
    constructor(_el: ElementRef, _translateService: TranslateService, _http: Http, _sharedService: SharedService);
    textarea: ElementRef;
    component: any;
    id: string;
    securityId: string;
    name: string;
    maxLength: string;
    minLength: string;
    placeholder: string;
    css: string;
    styleCss: string;
    digitText: string;
    notnull: boolean;
    disabled: boolean;
    readonly: boolean;
    onBlur: string;
    onKeyup: string;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    private _attribute;
    attribute: string;
    private privateLabel;
    label: string;
    _columns: any;
    columns: any;
    isNotMasterDetail: boolean;
    inputValid: boolean;
    msgError: string;
    randomId: string;
    labelWidth: string;
    value: any;
    _label: any;
    blur($event: any): void;
    keyup($event: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
