"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var core_2 = require("@ngx-translate/core");
var http_1 = require("@angular/http");
var sharedService_1 = require("../../models/sharedService");
var LabelComponent = (function (_super) {
    __extends(LabelComponent, _super);
    function LabelComponent(_sharedService, _translateService, _http) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this._sharedService = _sharedService;
        _this._translateService = _translateService;
        _this._http = _http;
        _this.securityId = '';
        _this.id = '';
        _this.styleCss = '';
        _this.css = '';
        _this.align = 'left';
        _this.type = 'p';
        _this._text = '';
        _this._columns = 'col l12 m12 s12 crud-form-dynamic';
        _this.setValue = function (value) {
            $(_this.label.nativeElement).html(value);
        };
        sbmLabelComponent.push(_this);
        return _this;
    }
    Object.defineProperty(LabelComponent.prototype, "columns", {
        get: function () {
            return this._columns;
        },
        set: function (value) {
            this._columns = "col l" + value + " s" + value + " m" + value + " crud-form-dynamic";
        },
        enumerable: true,
        configurable: true
    });
    LabelComponent.prototype.ngAfterViewInit = function () {
        var me = this;
        $(document).ready(function () {
            switch (me.type) {
                case 'h1':
                    $(me.label.nativeElement).replaceWith("<h1 class='" + me.css + "' style='text-align: " + me.align + ";" + me.styleCss + "'>" + $(me.label.nativeElement).text() + "</h1>");
                    break;
                case 'h2':
                    $(me.label.nativeElement).replaceWith("<h2 class='" + me.css + "' style='text-align: " + me.align + ";" + me.styleCss + "'>" + $(me.label.nativeElement).text() + "</h2>");
                    break;
                case 'h3':
                    $(me.label.nativeElement).replaceWith("<h3 class='" + me.css + "' style='text-align: " + me.align + ";" + me.styleCss + "'>" + $(me.label.nativeElement).text() + "</h3>");
                    break;
                case 'h4':
                    $(me.label.nativeElement).replaceWith("<h4 class='" + me.css + "' style='text-align: " + me.align + ";" + me.styleCss + "'>" + $(me.label.nativeElement).text() + "</h4>");
                    break;
                case 'h5':
                    $(me.label.nativeElement).replaceWith("<h5 class='" + me.css + "' style='text-align: " + me.align + ";" + me.styleCss + "'>" + $(me.label.nativeElement).text() + "</h5>");
                    break;
            }
        });
        $(this.label.nativeElement).attr('style', this.styleCss);
    };
    LabelComponent.prototype.ngOnInit = function () {
        _super.prototype.validar.call(this, this.securityId);
    };
    return LabelComponent;
}(abstract_ngmodel_1.AbstractNgModel));
LabelComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-label',
                template: "\n      <span [ngStyle]=\"{'text-align': align}\" [hidden]=\"!exibirComponente\" #label class=\"sbm-label-text {{css}}\">\n        <ng-content></ng-content>\n      </span>\n  ",
                host: {
                    '[class]': 'columns'
                }
            },] },
];
/** @nocollapse */
LabelComponent.ctorParameters = function () { return [
    { type: sharedService_1.SharedService, },
    { type: core_2.TranslateService, },
    { type: http_1.Http, },
]; };
LabelComponent.propDecorators = {
    'label': [{ type: core_1.ViewChild, args: ['label',] },],
    'securityId': [{ type: core_1.Input },],
    'id': [{ type: core_1.Input },],
    'styleCss': [{ type: core_1.Input },],
    'css': [{ type: core_1.Input },],
    'align': [{ type: core_1.Input },],
    'type': [{ type: core_1.Input },],
    'columns': [{ type: core_1.Input },],
};
exports.LabelComponent = LabelComponent;
