import { EventEmitter, OnInit, QueryList, Renderer2, TemplateRef, ViewContainerRef } from "@angular/core";
import { IComponentDefault } from "../../interfaces/IComponentDefault";
import { AbstractNgModel } from "../../models/abstract.ngmodel";
import { ReqHttpService } from "../../services/req-http.service";
import { Router } from "@angular/router";
import { SbmGridColumn } from "../grid/grid.component";
import { SbmMasterDetailForm } from "../master-detail-form/master-detail-form";
import { TranslateService } from "@ngx-translate/core";
import { SharedService } from "../../models/sharedService";
import { Http } from '@angular/http';
export declare class MasterDetailComponent extends AbstractNgModel implements OnInit, IComponentDefault {
    private req;
    private _router;
    private _reqHttpService;
    private _viewContainer;
    private _renderer2;
    private _sharedService;
    _http: Http;
    private _translateService;
    constructor(req: ReqHttpService, _router: Router, _reqHttpService: ReqHttpService, _viewContainer: ViewContainerRef, _renderer2: Renderer2, _sharedService: SharedService, _http: Http, _translateService: TranslateService);
    masterDetailItem: SbmMasterDetailForm;
    masterDetailTemplate: TemplateRef<SbmMasterDetailForm>;
    dataColumns: QueryList<SbmGridColumn>;
    sbmMasterDetailForm: QueryList<SbmMasterDetailForm>;
    sbmMasterDetailFormView: any;
    id: string;
    securityId: string;
    gridMasterDetail: boolean;
    formMasterDetail: boolean;
    update: any;
    attribute: string;
    saveServer: boolean;
    urlAction: string;
    entity: string;
    dataSource: any[];
    notnull: boolean;
    _columns: any;
    columns: any;
    inputValid: boolean;
    msgError: string;
    randomClass: number;
    loadedReq: EventEmitter<{}>;
    _valueVerified: boolean;
    generatedEntity: any;
    valueEntity: any;
    value: any[];
    newFormMasterDetail: EventEmitter<{}>;
    validationsMsg: any;
    newMasterDetail($data: any): void;
    editMasterDetail($data: any): void;
    removeMasterDetail($data: any): void;
    itemEdit($class: any, $data: any): void;
    validInput(): void;
    itemRemove($data: any): void;
    addDinamicparameter: any;
    itemNew($class: MasterDetailComponent): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
}
