"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var req_http_service_1 = require("../../services/req-http.service");
var router_1 = require("@angular/router");
var alert_component_1 = require("../alert/alert.component");
var grid_component_1 = require("../grid/grid.component");
var notification_component_1 = require("../notification/notification.component");
var master_detail_form_1 = require("../master-detail-form/master-detail-form");
var core_2 = require("@ngx-translate/core");
var sharedService_1 = require("../../models/sharedService");
var http_1 = require("@angular/http");
var MasterDetailComponent = (function (_super) {
    __extends(MasterDetailComponent, _super);
    function MasterDetailComponent(req, _router, _reqHttpService, _viewContainer, _renderer2, _sharedService, _http, _translateService) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this.req = req;
        _this._router = _router;
        _this._reqHttpService = _reqHttpService;
        _this._viewContainer = _viewContainer;
        _this._renderer2 = _renderer2;
        _this._sharedService = _sharedService;
        _this._http = _http;
        _this._translateService = _translateService;
        _this.id = '';
        _this.securityId = '';
        _this.gridMasterDetail = false;
        _this.formMasterDetail = true;
        _this.update = {
            key: null,
            refresh: false
        };
        _this.attribute = '';
        _this.saveServer = false;
        _this.urlAction = null;
        _this.entity = null;
        _this.dataSource = [];
        _this.notnull = false;
        _this._columns = 'col l12 m12 s12 crud-form-dynamic sbm-master-detail';
        _this.inputValid = true;
        _this.msgError = 'Campo Incorreto';
        _this.randomClass = 0;
        _this.loadedReq = new core_1.EventEmitter();
        _this._valueVerified = true;
        _this.generatedEntity = {};
        _this.valueEntity = {};
        _this.value = [];
        _this.newFormMasterDetail = new core_1.EventEmitter();
        _this.validationsMsg = {
            require: null,
            MasterDetailRemoveItem: null,
            MasterDetailRemoveYes: null,
            MasterDetailRemoveCancel: null,
            MasterDetailRemoveSuccess: null,
            MasterDetailCancelAddItem: null,
            MasterDetailAddItem: null
        };
        _this.addDinamicparameter = [];
        return _this;
    }
    Object.defineProperty(MasterDetailComponent.prototype, "columns", {
        get: function () {
            return this._columns;
        },
        set: function (value) {
            this._columns = "col l" + value + " m12 s12 crud-form-dynamic sbm-master-detail";
        },
        enumerable: true,
        configurable: true
    });
    MasterDetailComponent.prototype.newMasterDetail = function ($data) {
        var _this = this;
        var _data = {};
        var data = [];
        this.dataColumns.forEach(function (a, i) {
            if (a.isEntity) {
                _this.generatedEntity[a.value].map(function (g) {
                    if (g.id == $data.data[a.value]) {
                        _data[a.value] = g;
                    }
                });
            }
            else {
                _data[a.value] = $data.data[a.value];
            }
        });
        data.push(_data);
        this._reqHttpService.xhrPost("/sabium/api/" + this.entity, data).subscribe(function (ret) {
            var _loop_1 = function (item) {
                _this.value = [];
                _this.value.push(item);
                _this.dataSource.map(function (a, i) {
                    if (a.__KEY__ == $data.data.__KEY__) {
                        _this.dataSource[i]['id'] = item.id;
                    }
                });
            };
            for (var _i = 0, _a = ret.res; _i < _a.length; _i++) {
                var item = _a[_i];
                _loop_1(item);
            }
        });
    };
    MasterDetailComponent.prototype.editMasterDetail = function ($data) {
        var _this = this;
        console.log($data);
        var _data = {};
        var data = [];
        this.dataColumns.forEach(function (a, i) {
            if (a.isEntity) {
                _this.generatedEntity[a.value].map(function (g) {
                    if (g.id == $data.key[a.value]) {
                        _data[a.value] = g;
                    }
                });
            }
            else {
                _data[a.value] = $data.key[a.value];
                _data['id'] = $data.key['id'];
            }
        });
        data.push(_data);
        this._reqHttpService.xhrPost("/sabium/api/" + this.entity, data).subscribe(function (ret) {
            _this.value.map(function (a, i) {
                if (a.id == $data.key['id']) {
                    _this.value[i] = ret.res[0];
                }
            });
        });
    };
    MasterDetailComponent.prototype.removeMasterDetail = function ($data) {
        var _this = this;
        var notification = new notification_component_1.NotificationComponent();
        this._reqHttpService.xhrDelete("/sabium/api/" + this.entity + "/" + $data.key['id']).subscribe(function (ret) {
            if (ret.res.sucesso) {
                notification.show('O item foi excluído com sucesso');
                _this.value.map(function (a, i) {
                    if (a.id == $data.key['id']) {
                        _this.value.slice(i, 1);
                    }
                });
            }
        });
    };
    MasterDetailComponent.prototype.itemEdit = function ($class, $data) {
        var _this = this;
        var keys = Object.keys($data.data);
        this.sbmMasterDetailForm.forEach(function (item) {
            if ($class.id == item.elementRef) {
                for (var _i = 0, keys_1 = keys; _i < keys_1.length; _i++) {
                    var i = keys_1[_i];
                    item.setValue(i, $data.data[i]);
                }
                _this.update.refresh = true;
                _this.update.key = $data.rowIndex;
                _this.itemNew($class);
            }
        });
    };
    MasterDetailComponent.prototype.validInput = function () {
        if (this.notnull && this.value.length == 0) {
            this.inputValid = false;
            this.msgError = this.validationsMsg['require'];
        }
        else {
            this.inputValid = true;
        }
    };
    MasterDetailComponent.prototype.itemRemove = function ($data) {
        var _this = this;
        var alert = new alert_component_1.AlertComponent();
        var notification = new notification_component_1.NotificationComponent();
        alert.show('Deseja realmente remover este item?', 'Sim', '', 'warning', true, 'Cancelar').then(function (ret) {
            if (ret) {
                _this.value.map(function (v, i) {
                    if (v == $data.data) {
                        _this.value.splice(i, 1);
                        notification.show('Removido com sucesso');
                        _this.validInput();
                    }
                });
            }
        });
    };
    MasterDetailComponent.prototype.itemNew = function ($class) {
        var _this = this;
        this.gridMasterDetail = true;
        this.formMasterDetail = false;
        var emitForm;
        this.newFormMasterDetail.emit(true);
        this.masterDetailTemplate = this.sbmMasterDetailForm.first.columnTemplate;
        var n = 0;
        emitForm = this.sbmMasterDetailForm.first.formMasterDetail.subscribe(function (ret) {
            var keys = Object.keys(ret);
            // for (let i of keys) {
            //     console.log($class.attribute, i)
            // if ($class.attribute != i) {
            if (_this.update.refresh) {
                _this.sbmMasterDetailForm.first.buttonText = 'Salvar';
                $class.value[_this.update.key] = ret;
                _this.update.refresh = false;
            }
            else {
                _this.sbmMasterDetailForm.first.buttonText = 'Adicionar';
                // let values = {};
                // values[$class.attribute] = ret;
                $class.value.push(ret);
                _this.validInput();
            }
            /*}else {
                if (this.update.refresh) {
                    this.sbmMasterDetailForm.first.buttonText = "Salvar";
                    $class.value[this.update.key] = ret[i];
                    this.update.refresh = false;
                }else {
                    this.sbmMasterDetailForm.first.buttonText = "Adicionar";
                    let values = {};
                    values[$class.attribute] = ret;
                    $class.value.push(ret)
                }
            // }*/
            // }
            _this.gridMasterDetail = false;
            _this.formMasterDetail = true;
            _this.sbmMasterDetailForm.first.clearForm();
            emitForm.unsubscribe();
            _this.newFormMasterDetail.emit(false);
        });
        this.sbmMasterDetailForm.first.cancelForm.subscribe(function (ret) {
            if (ret.cancel) {
                _this.gridMasterDetail = false;
                _this.formMasterDetail = true;
                _this.newFormMasterDetail.emit(false);
            }
        });
        setTimeout(function () {
            $('.sbm-select-class').dropdown({
                inDuration: 300,
                outDuration: 225,
                hover: false,
                belowOrigin: true,
                alignment: 'right' // Displays dropdown with edge aligned to the left of button
            });
        }, 1000);
    };
    MasterDetailComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.randomClass = Math.floor((Math.random() * 1000) + 1);
        _super.prototype.validar.call(this, this.securityId);
        this._translateService.onLangChange.subscribe(function (ret) {
            _this.validationsMsg['require'] = ret.translations['i18n']['sabium-framework']['validations.fieldRequire'];
        });
    };
    MasterDetailComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        this.dataColumns.forEach(function (a, i) {
            if (a.isEntity) {
                _this.generatedEntity[a.value] = [];
                _this.valueEntity[a.value] = [];
                _this._reqHttpService.xhrGet("/sabium/api/" + a.entity).subscribe(function (ret) {
                    _this.generatedEntity[a.value] = ret.res.data;
                    setTimeout(function () {
                        _this.loadedReq.emit(true);
                    }, 1000);
                });
            }
        });
        var _data = [];
        // $(`.sbm-master-detail-column-${this.randomClass}`).find('sbm-column').each((i: any, a: any) => {
        //     _data.push({
        //         dataField: $(a).attr('value'),
        //         caption: $(a).attr('label'),
        //         dataType: ($(a).attr('dataType') || ''),
        //         format: ($(a).attr('format') || ''),
        //         width: ($(a).attr('width') || '')
        //     });
        // });
        // this.dataColumns = _data;
    };
    MasterDetailComponent.prototype.ngAfterViewChecked = function () {
        if (this.value && this._valueVerified) {
            if (this.value.length > 0) {
                this.dataSource = this.value;
                this._valueVerified = false;
            }
        }
    };
    return MasterDetailComponent;
}(abstract_ngmodel_1.AbstractNgModel));
MasterDetailComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-master-detail',
                template: "\n            <!--(onEditingStart)=\"logEvent('EditingStart')\"-->\n            <!--(onInitNewRow)=\"logEvent('InitNewRow')\"-->\n            <!--(onRowInserting)=\"newMasterDetail($event)\"-->\n            <!--(onRowInserted)=\"logEvent('RowInserted')\"-->\n            <!--(onRowUpdating)=\"editMasterDetail($event)\"-->\n            <!--(onRowUpdated)=\"logEvent('RowUpdated')\"-->\n            <!--(onRowRemoving)=\"removeMasterDetail($event)\"-->\n            <!--(onRowRemoved)=\"logEvent('RowRemoved')\"-->\n        <span [hidden]=\"gridMasterDetail\" class=\"sbm-master-detail-new\" [ngStyle]=\"{'cursor': 'pointer'}\">\n            <i class=\"material-icons\" (click)='itemNew(this)' style=\"color:#2196f3; font-size: 34px;\">add</i>\n            <!--<dx-button icon='add' type='default' (onClick)='itemNew()'></dx-button> -->\n        </span>\n        <div [hidden]=\"gridMasterDetail\">\n            <dx-data-grid [dataSource]=\"value\" [allowColumnReordering]=\"true\" >\n                <dxi-column *ngFor=\"let i of dataColumns\" [caption]=\"i.label\" dataField=\"{{i.value}}\">\n                    <dxo-lookup *ngIf=\"i.isEntity\"\n                        [dataSource]=\"generatedEntity[i.value]\"\n                        [displayExpr]=\"i.entityDisplay\"\n                        valueExpr=\"id\">\n                    </dxo-lookup>\n                </dxi-column>\n                <dxo-paging [pageSize]=\"5\"></dxo-paging>\n                <dxi-column caption=\"\" cellTemplate=\"diffCellTemplate\" width=\"100\"></dxi-column>\n                <dxo-group-panel emptyPanelText=\"Agrupar\" [visible]=\"true\"></dxo-group-panel>\n                <dxo-grouping #expand></dxo-grouping>\n                \n                <div *dxTemplate=\"let d of 'diffCellTemplate'\">\n                    <i class=\"material-icons\" (click)='itemEdit(this, d)'>mode_edit</i>\n                    <i class=\"material-icons\" style=\"color:#ff5252\" (click)='itemRemove(d)'>delete_forever</i>\n                    <!--<dx-button icon='edit' type='info' (onClick)='itemEdit(d)'></dx-button> -->\n                    <!--<dx-button icon='remove' type='danger' (onClick)='itemRemove(d)'></dx-button>-->\n                </div>\n            </dx-data-grid>\n            \n            <span *ngIf=\"!inputValid\" class=\"msgError\">{{msgError}}</span>\n            \n            <div class=\"sbm-master-detail-column-{{randomClass}}\" [hidden]=\"true\">\n                <ng-content></ng-content>\n                <!--<sbm-master-detail-form></sbm-master-detail-form>-->\n            </div>\n        </div>\n        \n        \n        <div [hidden]=\"formMasterDetail\">\n            <ng-template [ngTemplateOutlet]=\"masterDetailTemplate\" [ngOutletContext]=\"{ item: item }\"></ng-template>\n        </div>\n    ",
                host: {
                    '[class]': 'columns'
                },
                providers: [abstract_ngmodel_1.MakeProvider(MasterDetailComponent)]
            },] },
];
/** @nocollapse */
MasterDetailComponent.ctorParameters = function () { return [
    { type: req_http_service_1.ReqHttpService, },
    { type: router_1.Router, },
    { type: req_http_service_1.ReqHttpService, },
    { type: core_1.ViewContainerRef, },
    { type: core_1.Renderer2, },
    { type: sharedService_1.SharedService, },
    { type: http_1.Http, },
    { type: core_2.TranslateService, },
]; };
MasterDetailComponent.propDecorators = {
    'dataColumns': [{ type: core_1.ContentChildren, args: [grid_component_1.SbmGridColumn,] },],
    'sbmMasterDetailForm': [{ type: core_1.ContentChildren, args: [master_detail_form_1.SbmMasterDetailForm, { descendants: true },] },],
    'sbmMasterDetailFormView': [{ type: core_1.ViewChild, args: [master_detail_form_1.SbmMasterDetailForm,] },],
    'id': [{ type: core_1.Input },],
    'securityId': [{ type: core_1.Input },],
    'attribute': [{ type: core_1.Input },],
    'saveServer': [{ type: core_1.Input },],
    'urlAction': [{ type: core_1.Input },],
    'entity': [{ type: core_1.Input },],
    'dataSource': [{ type: core_1.Input },],
    'notnull': [{ type: core_1.Input, args: ['require',] },],
    'columns': [{ type: core_1.Input },],
};
exports.MasterDetailComponent = MasterDetailComponent;
