import { Subscription } from 'rxjs';
import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
import { Http } from '@angular/http';
export declare class MultiselectComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _el;
    private _translateService;
    _http: Http;
    private _sharedService;
    constructor(_el: ElementRef, _translateService: TranslateService, _http: Http, _sharedService: SharedService);
    multiselect: ElementRef;
    component: any;
    securityId: string;
    name: string;
    id: string;
    css: string;
    placeholder: string;
    notnull: boolean;
    isEmail: boolean;
    styleCss: string;
    onBlur: string;
    onKeyup: string;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    private _attribute;
    attribute: string;
    private privateLabel;
    label: string;
    _columns: any;
    columns: any;
    isNotMasterDetail: boolean;
    ValueChange: Subscription;
    inputValid: boolean;
    _value: any;
    _value2: any;
    value: any;
    _label: any;
    notRender: boolean;
    ngOnInit(): void;
    initMultiselect(): void;
    ngAfterViewInit(): void;
    addValue(value: any, e?: any): void;
    deleteItem(chip: any, e?: any): void;
    keyup($event: any): void;
    blur(data: any, element?: any): void;
    ngOnDestroy(): void;
}
