"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var req_http_service_1 = require("../../services/req-http.service");
var core_2 = require("@ngx-translate/core");
var sharedService_1 = require("../../models/sharedService");
var alert_component_1 = require("../alert/alert.component");
var http_1 = require("@angular/http");
var SelectComponent = (function (_super) {
    __extends(SelectComponent, _super);
    function SelectComponent(_req, _el, _sharedService, _http, _translateService) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this._req = _req;
        _this._el = _el;
        _this._sharedService = _sharedService;
        _this._http = _http;
        _this._translateService = _translateService;
        _this.id = '';
        _this.securityId = '';
        _this.css = 'sbm-select';
        _this.text = ['text'];
        _this.textSeparator = '-';
        _this.reqIndexKey = 'data';
        _this.valueField = '';
        _this.actionButton = false;
        _this.styleCss = '';
        _this.notnull = false;
        _this.disabled = false;
        _this.readonly = false;
        _this.urlButton = '';
        _this.onClick = '';
        _this.attribute = '';
        _this._onClick = new core_1.EventEmitter();
        _this.onActionButtons = new core_1.EventEmitter();
        _this._columns = 'col l12 s12 m12 crud-form-dynamic';
        _this._label = '';
        _this._resSucess = new core_1.EventEmitter();
        _this._dataSource = [];
        _this.inputValid = true;
        _this.msgError = 'Campo Incorreto';
        _this.value = {};
        _this.reqSucess = false;
        _this.isNotMasterDetail = true;
        _this.randomNumber = 0;
        _this.randomId = 0;
        _this.validationsMsg = {
            require: null,
            serviceInvalid: null
        };
        _this.setDataSource = function ($data) {
            if (typeof $data == 'object') {
                var req_1 = [];
                $data.map(function (a) {
                    var newItem = {
                        'label': '',
                        data: a
                    };
                    for (var count = 0; count < _this.text.length; count++) {
                        if (_this.text.length > 1) {
                            newItem['label'] += a[_this.text[count]] + " " + (_this.text.length == (count + 1) ? '' : _this.textSeparator) + " ";
                        }
                        else {
                            newItem['label'] = a[_this.text[count]];
                        }
                    }
                    req_1.push(newItem);
                });
                _this._dataSource = req_1;
            }
        };
        _this.setValue = function (value) {
            if ((typeof value == 'object' || typeof value == 'string') && value) {
                _this._dataSource.map(function (a) {
                    if (_this.valueField != '') {
                        if (a[_this.valueField] == value) {
                            _this.itemClicado(a);
                        }
                    }
                    else {
                        if (a[_this.text[0]] == value[_this.text[0]]) {
                            _this.itemClicado(a);
                        }
                    }
                });
            }
        };
        SbmSelectComponent.push(_this);
        _this._translateService.onLangChange.subscribe(function (ret) {
            _this.validationsMsg['require'] = ret.translations['i18n']['sabium-framework']['validations.fieldRequire'];
        });
        return _this;
    }
    Object.defineProperty(SelectComponent.prototype, "label", {
        get: function () {
            return this.privateLabel;
        },
        set: function (val) {
            this.privateLabel = val;
            if (val.substring(0, 1) == '#') {
                this._label = this._translateService.translations[this._translateService.currentLang].i18n['sabium-framework'][val.replace('#', '')];
            }
            else if (val.substring(0, 4) == 'i18n') {
                if (_projectName) {
                    this._label = this._translateService.translations[this._translateService.currentLang].i18n[_projectName][val.replace("i18n.", "")];
                }
                else {
                    this._label = val;
                }
            }
            else {
                this._label = val;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SelectComponent.prototype, "columns", {
        get: function () {
            return this._columns;
        },
        set: function (value) {
            this._columns = "col l" + value + " s12 m12 crud-form-dynamic";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SelectComponent.prototype, "dataSource", {
        get: function () {
            return this.__dataSource;
        },
        set: function (val) {
            var _this = this;
            this.__dataSource = val;
            //console.log(val)
            if (typeof val == 'object') {
                var req_2 = [];
                this.dataSource.map(function (a) {
                    var newItem = {
                        'label': '',
                        data: a
                    };
                    for (var count = 0; count < _this.text.length; count++) {
                        if (_this.text.length > 1) {
                            newItem['label'] += a[_this.text[count]] + " " + (_this.text.length == (count + 1) ? '' : _this.textSeparator) + " ";
                        }
                        else {
                            newItem['label'] = a[_this.text[count]];
                        }
                    }
                    req_2.push(newItem);
                });
                this._dataSource = req_2;
            }
            else {
                this.reqService();
            }
        },
        enumerable: true,
        configurable: true
    });
    ;
    SelectComponent.prototype.reqService = function () {
        var _this = this;
        var me = this;
        if (!this.reqSucess) {
            if (this.dataSource != '' && this.dataSource) {
                this._req.xhrGet(this.dataSource).subscribe(function (ret) {
                    var req = [];
                    ret.res.items.map(function (a) {
                        a['labelText'] = '';
                        for (var count = 0; count < _this.text.length; count++) {
                            if (_this.text.length > 1) {
                                a['labelText'] += a[_this.text[count]] + " " + (_this.text.length == (count + 1) ? '' : _this.textSeparator) + " ";
                            }
                            else {
                                a['labelText'] = a[_this.text[count]];
                            }
                        }
                        req.push(a);
                    });
                    _this._dataSource = req;
                    _this.reqSucess = true;
                    _this._resSucess.emit(req);
                }, function (err) {
                    _this.reqSucess = false;
                    console.error('Ocorreu um erro na chamada do serviço =>', err);
                    _this.errorService = err.res;
                    _this.msgError = "Ocorreu um erro na chamada do serviço";
                    _this.inputValid = false;
                    $(_this._el.nativeElement).find('.error-component').show();
                    $(_this.combobox.nativeElement).addClass('invalid');
                });
            }
        }
    };
    SelectComponent.prototype.openDrop = function ($el) {
        if ($el) {
            $el.stopPropagation();
        }
        $(".dropdown-button-" + this.randomNumber).dropdown('open');
    };
    SelectComponent.prototype.closeDrop = function () {
        $(".dropdown-button-" + this.randomNumber).dropdown('close');
    };
    SelectComponent.prototype.sendError = function () {
        var _this = this;
        var alert = new alert_component_1.AlertComponent();
        alert.show("#" + this.errorService['status'] + " " + this.errorService['statusText'], "Enviar Erro", 'Deseja reportar este erro?', 'error', true, "não").then(function (ret) {
            if (ret) {
                var error = {
                    servico: _this.errorService['responseURL'],
                    error: _this.errorService['status'],
                    errorText: _this.errorService['statusText'],
                };
            }
        });
    };
    SelectComponent.prototype.actionButtonEmit = function (filter) {
        var a = {
            'filter': filter,
            'url': this.urlButton,
            'id': this.attribute
        };
        this.onActionButtons.emit(a);
        SelectComponent._onActionButtons.emit(a);
    };
    SelectComponent.prototype.itemClicado = function (itemAtual, $event) {
        this.currentItem = itemAtual;
        // this.searchValue = itemAtual['label'];
        $("label[for='" + this.randomId + "']").addClass("active");
        this._onClick.emit(itemAtual['data']);
        if (this.valueField != '') {
            this.value = itemAtual['data'][this.valueField];
        }
        else {
            this.value = itemAtual['data'];
        }
        if (this.onClick != '') {
            window[this.onClick](itemAtual['data']);
        }
        document.getElementById(this.randomId).focus();
        document.getElementById(this.randomId).blur();
    };
    SelectComponent.prototype.ngOnInit = function () {
        _super.prototype.validar.call(this, this.securityId);
        this.randomNumber = 'sbm-select-' + (Math.floor((Math.random() * 100000) + 1));
        this.randomId = 'sbm-generated-' + (Math.floor((Math.random() * 100000) + 1));
    };
    SelectComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        $(document).ready(function () {
            $(_this._el.nativeElement).attr('style', _this.styleCss);
            $(".dropdown-button-" + _this.randomNumber).dropdown({
                stopPropagation: true,
                hover: false,
                constrainWidth: true,
                belowOrigin: true,
                alignment: 'right' // Displays dropdown with edge aligned to the left of button
            });
            _this.component.valueChanges.subscribe(function (ret) {
                Materialize.updateTextFields();
            });
        });
        this.onChangeValue.subscribe(function (ret) {
            if (ret) {
                var item = void 0;
                if (_this.valueField != '') {
                    item = _this._dataSource.filter(function (item) { return JSON.stringify(item['data'][_this.valueField]) == JSON.stringify(ret); });
                }
                else {
                    item = _this._dataSource.filter(function (item) { return JSON.stringify(item['data']) == JSON.stringify(ret); });
                }
                if (item.length > 0) {
                    _this.searchValue = item[0]['label'];
                }
            }
            else {
                _this.searchValue = '';
            }
        });
    };
    SelectComponent.prototype.ngOnDestroy = function () {
        // this.valueSubscribe.unsubscribe();
    };
    return SelectComponent;
}(abstract_ngmodel_1.AbstractNgModel));
SelectComponent._onActionButtons = new core_1.EventEmitter();
SelectComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-select',
                template: "\n        <div class=\"input-field\">\n            <input \n                #combobox \n                #component=\"ngModel\" \n                id=\"{{randomId}}\" \n                class=\"select-dropdown sbm-select-class {{css}}\" \n                type=\"text\" \n                [required]=\"notnull\"\n                [disabled]=\"disabled\" \n                [readonly]=\"readonly\"\n                [attr.data-value]=\"value | json\" \n                [attr.data-text]=\"text\"\n                (focus)=\"openDrop($event)\"\n                (click)=\"openDrop($event)\" \n                (blur)=\"closeDrop()\"\n                [(ngModel)]=\"searchValue\" \n            />\n            <label class=\"sbm-label truncate\" for=\"{{randomId}}\">{{_label}}</label>\n            <span class=\"sbm-content-actions\">\n                <a class=\"waves-effect btn-flat sbm-select-icon\" (click)=\"openDrop()\">\n                    <i class=\"material-icons\">&#xE313;</i>\n                </a>\n                <a class=\"waves-effect btn-flat error-component\" (click)=\"sendError()\" >\n                    <i class=\"material-icons\">&#xE000;</i>\n                </a>\n                <a class=\"waves-effect btn-flat sbm-select-clear\" (click)=\"searchValue = ''; value = undefined\" *ngIf=\"searchValue\">\n                    <i class=\"material-icons\">&#xE5CD;</i>\n                </a>\n            </span>\n\n            <span *ngIf=\"!component.valid\" class=\"msgError\">\n                <p class=\"msgError\" *ngIf=\"component['errors']['required'] && component.touched\">\n                    Campo Obrigat\u00F3rio\n                </p>\n            </span>\n            \n            <span *ngIf=\"!inputValid\" class=\"msgError\">{{msgError}}</span>\n        </div>\n        \n        <span class=\"suffix sbm-select-options\" [ngClass]=\"{'buttons-hide': !actionButton}\">\n            <a *ngIf=\"actionButton\" class=\"btn btn-floating waves-effect sbm-select-add\" (click)='actionButtonEmit(false)'><i class=\"material-icons\">add</i></a>\n            <a *ngIf=\"actionButton\" class=\"btn btn-floating waves-effect sbm-select-search\" (click)='actionButtonEmit(true)'><i class=\"material-icons\">search</i></a>\n        </span>\n         \n        <a class='dropdown-button-{{randomNumber}}' [attr.data-activates]='randomNumber' style=\"width:100%;position:absolute;left: 0;bottom:0;color:transparent;height:1px;\">&#xE000;</a>\n\n        <ul id='{{randomNumber}}' class='dropdown-content sbm-select-content-dropdown'>\n            <li #li *ngFor=\"let item of _dataSource | selectFilter: searchValue\" class=\"collection-item waves-effect waves-light\" (click)=\"itemClicado(item, li)\">\n                <span class=\"sbm-select-content-span\">\n                    <i class=\"sbm-select-content-dropdpown\" *ngFor=\"let label of text, let i = index\"> {{item.data[label]}} {{ ( (i+1) != text.length) ? textSeparator : ''}}</i>\n                </span>\n            </li>\n        </ul>\n    ",
                styles: ["\n        .ng-invalid:not(.ng-untouched) {\n            border-bottom: 1px solid #F44336 !important;\n            box-shadow: 0 1px 0 0 #F44336 !important;\n        }\n        .sbm-selected-item {\n            background-color: #eee;\n        }\n        .sbm-select-class {\n            padding-right: 40px !important;\n            box-sizing: inherit !important;\n        }\n        \n        input {\n            display: table-cell;\n        }\n    \n        span.suffix {\n            width: 85px;\n        }\n    \n        .buttons-hide {\n            width: 0 !important;\n        }\n\n        .sbm-content-actions {\n            position: absolute;\n            right: 0;\n            top: 0;\n            margin-left: -25px;\n        }\n    \n        .sbm-select-icon {\n            z-index: 954;\n            height: 30px;\n            padding: 0;\n            float: right;\n            line-height: 25px;\n            cursor: pointer;\n        }\n\n        .sbm-select-clear {\n            z-index: 954;\n            height: 30px;\n            padding: 0;\n            float: right;\n            line-height: 25px;\n            cursor: pointer;\n        }\n    \n        .error-component {\n            color: #e53935;\n            height: 30px;\n            float: right;\n            padding: 0;\n            line-height: 25px;\n            display: none;\n        }\n    "],
                host: {
                    '[class]': 'columns',
                },
                providers: [abstract_ngmodel_1.MakeProvider(SelectComponent)]
            },] },
];
/** @nocollapse */
SelectComponent.ctorParameters = function () { return [
    { type: req_http_service_1.ReqHttpService, },
    { type: core_1.ElementRef, },
    { type: sharedService_1.SharedService, },
    { type: http_1.Http, },
    { type: core_2.TranslateService, },
]; };
SelectComponent.propDecorators = {
    'combobox': [{ type: core_1.ViewChild, args: ['combobox',] },],
    'component': [{ type: core_1.ViewChild, args: ['component',] },],
    'id': [{ type: core_1.Input },],
    'securityId': [{ type: core_1.Input, args: ['securityid',] },],
    'css': [{ type: core_1.Input },],
    'text': [{ type: core_1.Input },],
    'textSeparator': [{ type: core_1.Input, args: ['textseparator',] },],
    'reqIndexKey': [{ type: core_1.Input },],
    'valueField': [{ type: core_1.Input },],
    'actionButton': [{ type: core_1.Input, args: ['actionbutton',] },],
    'styleCss': [{ type: core_1.Input, args: ['stylecss',] },],
    'notnull': [{ type: core_1.Input, args: ['require',] },],
    'disabled': [{ type: core_1.Input },],
    'readonly': [{ type: core_1.Input },],
    'urlButton': [{ type: core_1.Input, args: ['urlbutton',] },],
    'onClick': [{ type: core_1.Input, args: ['onclick',] },],
    'attribute': [{ type: core_1.Input },],
    '_onClick': [{ type: core_1.Output },],
    'onActionButtons': [{ type: core_1.Output },],
    'label': [{ type: core_1.Input },],
    'columns': [{ type: core_1.Input },],
    'dataSource': [{ type: core_1.Input },],
};
exports.SelectComponent = SelectComponent;
