"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var TreeviewComponent = (function () {
    function TreeviewComponent() {
        this.id = '';
        this.securityId = '';
        this.dataSource = [];
        this.onClick = new core_1.EventEmitter();
    }
    TreeviewComponent.prototype.itemClicado = function (event) {
        if (!event.itemData.items) {
            this.onClick.emit(event.itemData);
        }
    };
    return TreeviewComponent;
}());
TreeviewComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-treeview',
                // styles: ['.options { padding-top: 30px;}', '.options .dx-checkbox { margin-right: 15px;}',
                //         '#accordion h1 {font-size: 20px;}'],
                template: "\n        <dx-tree-view [dataSource]=\"dataSource\" dataStructure=\"plain\"\n              (onItemClick)='itemClicado($event)' [visible]='exibirComponente'></dx-tree-view>\n    "
            },] },
];
/** @nocollapse */
TreeviewComponent.ctorParameters = function () { return []; };
TreeviewComponent.propDecorators = {
    'id': [{ type: core_1.Input },],
    'securityId': [{ type: core_1.Input },],
    'dataSource': [{ type: core_1.Input },],
    'onClick': [{ type: core_1.Output },],
};
exports.TreeviewComponent = TreeviewComponent;
