"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var funcoes_component_1 = require("../models/funcoes.component");
var CpfDirective = (function () {
    function CpfDirective(sbmCpf) {
        this.sbmCpf = sbmCpf;
    }
    CpfDirective.prototype.validate = function (c) {
        if (c.value) {
            if (funcoes_component_1.FuncoesComponent.testaCPF(c.value)) {
                return null;
            }
            else {
                return {
                    cpf: true
                };
            }
        }
        return null;
    };
    return CpfDirective;
}());
CpfDirective.decorators = [
    { type: core_1.Directive, args: [{
                selector: '[sbmCpf]',
                providers: [
                    { provide: forms_1.NG_VALIDATORS, useExisting: core_1.forwardRef(function () { return CpfDirective; }), multi: true }
                ]
            },] },
];
/** @nocollapse */
CpfDirective.ctorParameters = function () { return [
    { type: undefined, decorators: [{ type: core_1.Attribute, args: ['sbmCpf',] },] },
]; };
exports.CpfDirective = CpfDirective;
