import { ControlValueAccessor } from '@angular/forms';
import { EventEmitter } from '@angular/core';
import 'rxjs/add/operator/map';
import { SharedService } from "./sharedService";
import { Http } from '@angular/http';
import { TranslateService } from '@ngx-translate/core';
export declare abstract class AbstractNgModel implements ControlValueAccessor {
    _http: Http;
    private innerValue;
    private onTouchedCallback;
    private onChangeCallback;
    private exibirComponente;
    readonly: boolean;
    traducao: any;
    onChangeValue: EventEmitter<{}>;
    constructor(_sharedService: SharedService, _translateService: TranslateService, _http: Http);
    validarMenu(securityId: any): boolean;
    validar(securityId: any): void;
    value: any;
    writeValue(value: any): any;
    registerOnChange(fn: any): any;
    registerOnTouched(fn: any): any;
}
export declare function MakeProvider(type: any): any;
