import { QueryList } from '@angular/core';
import { SelectComponent } from '../components/select/select.component';
import { InputTextComponent } from '../components/input/input-text/input-text.component';
import { InputTelefoneComponent } from '../components/input/input-telefone/input-telefone.component';
import { InputPasswordComponent } from '../components/input/input-password/input-password.component';
import { InputNumberComponent } from '../components/input/input-number/input-number.component';
import { InputMaskComponent } from '../components/input/input-mask/input-mask.component';
import { InputCepComponent } from '../components/input/input-cep/input-cep.component';
import { InputCnpjComponent } from '../components/input/input-cnpj/input-cnpj.component';
import { InputCpfComponent } from '../components/input/input-cpf/input-cpf.component';
import { InputEmailComponent } from '../components/input/input-email/input-email.component';
import { RadioComponent } from '../components/radio/radio.component';
import { ListViewComponent } from '../components/list-view/list-view.component';
import { DateboxComponent } from '../components/datebox/datebox.component';
import { UploadComponent } from '../components/upload/upload.component';
import { AutocompleteComponent } from '../components/autocomplete/autocomplete.component';
import { CheckboxComponent } from '../components/checkbox/checkbox.component';
import { MoneyComponent } from '../components/input/money/money.component';
import { TextareaComponent } from '../components/input/textarea/textarea.component';
import { MultiselectComponent } from '../components/multiselect/multiselect.component';
export declare class AbstractForm {
    inputTextComp: QueryList<InputTextComponent>;
    inputTelefoneComp: QueryList<InputTelefoneComponent>;
    inputPasswordComp: QueryList<InputPasswordComponent>;
    inputNumberComp: QueryList<InputNumberComponent>;
    inputMaskComp: QueryList<InputMaskComponent>;
    inputCepComp: QueryList<InputCepComponent>;
    inputCnpjComp: QueryList<InputCnpjComponent>;
    inputCpfComp: QueryList<InputCpfComponent>;
    inputEmailComp: QueryList<InputEmailComponent>;
    radioComp: QueryList<RadioComponent>;
    listViewComp: QueryList<ListViewComponent>;
    dateBoxComp: QueryList<DateboxComponent>;
    uploadComp: QueryList<UploadComponent>;
    autoCompleteComp: QueryList<AutocompleteComponent>;
    checkBoxComp: QueryList<CheckboxComponent>;
    moneyComp: QueryList<MoneyComponent>;
    textareaComp: QueryList<TextareaComponent>;
    multiSelectComp: QueryList<MultiselectComponent>;
    selectComp: QueryList<SelectComponent>;
    setFormControl($object: any, item: any): void;
    addFormControls($object: any): void;
    crudSetValue(key: any, value: any): void;
    getAllComponents(): {};
    setMasterDetailComp(): void;
    clearForm(): void;
}
