"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("@angular/common");
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var http_1 = require("@angular/http");
var devextreme_angular_1 = require("devextreme-angular");
var input_text_component_1 = require("./components/input/input-text/input-text.component");
var input_cep_component_1 = require("./components/input/input-cep/input-cep.component");
var input_cnpj_component_1 = require("./components/input/input-cnpj/input-cnpj.component");
var input_cpf_component_1 = require("./components/input/input-cpf/input-cpf.component");
var input_email_component_1 = require("./components/input/input-email/input-email.component");
var input_mask_component_1 = require("./components/input/input-mask/input-mask.component");
var input_number_component_1 = require("./components/input/input-number/input-number.component");
var input_password_component_1 = require("./components/input/input-password/input-password.component");
var input_telefone_component_1 = require("./components/input/input-telefone/input-telefone.component");
var accordion_component_1 = require("./components/accordion/accordion.component");
var accordion_group_component_1 = require("./components/accordion/accordion-group.component");
var alert_component_1 = require("./components/alert/alert.component");
var autocomplete_component_1 = require("./components/autocomplete/autocomplete.component");
var breadcrumb_component_1 = require("./components/breadcrumb/breadcrumb.component");
var button_component_1 = require("./components/button/button.component");
var button_submit_component_1 = require("./components/button-submit/button-submit.component");
var checkbox_component_1 = require("./components/checkbox/checkbox.component");
var crud_component_1 = require("./components/crud/crud.component");
var crud2_component_1 = require("./components/crud2/crud2.component");
var datebox_component_1 = require("./components/datebox/datebox.component");
var fieldset_component_1 = require("./components/fieldset/fieldset.component");
var filters_component_1 = require("./components/filters/filters.component");
var form_component_1 = require("./components/form/form.component");
var grid_component_1 = require("./components/grid/grid.component");
var list_view_component_1 = require("./components/list-view/list-view.component");
var menu_component_1 = require("./components/menu/menu.component");
var modal_component_1 = require("./components/modal/modal.component");
var monitor_component_1 = require("./components/monitor/monitor.component");
var multiselect_component_1 = require("./components/multiselect/multiselect.component");
var notification_component_1 = require("./components/notification/notification.component");
var parameters_component_1 = require("./components/parameters/parameters.component");
var progressbar_component_1 = require("./components/progressbar/progressbar.component");
var radio_component_1 = require("./components/radio/radio.component");
var relatorios_component_1 = require("./components/relatorios/relatorios.component");
var rotator_component_1 = require("./components/rotator/rotator.component");
var select_component_1 = require("./components/select/select.component");
var tab_component_1 = require("./components/tabs/tab.component");
var tabs_component_1 = require("./components/tabs/tabs.component");
var treeview_component_1 = require("./components/treeview/treeview.component");
var textarea_component_1 = require("./components/input/textarea/textarea.component");
var breadcrumb_crud_component_1 = require("./components/breadcrumb-crud/breadcrumb-crud.component");
var money_component_1 = require("./components/input/money/money.component");
var upload_component_1 = require("./components/upload/upload.component");
var ng2_currency_mask_1 = require("ng2-currency-mask");
var ng_pick_datetime_1 = require("ng-pick-datetime");
var image_component_1 = require("./components/image/image.component");
var label_component_1 = require("./components/label/label.component");
var filter_pipe_1 = require("./pipes/filter.pipe");
var core_2 = require("@ngx-translate/core");
var drag_drop_content_1 = require("./components/drag-and-drop/drag-drop-content");
var drop_component_1 = require("./components/drag-and-drop/drop.component");
var drag_component_1 = require("./components/drag-and-drop/drag.component");
var drag_and_drop_component_1 = require("./components/drag-and-drop/drag-and-drop.component");
var master_detail_form_1 = require("./components/master-detail-form/master-detail-form");
var master_detail_component_1 = require("./components/master-detail/master-detail.component");
var ng2_drag_drop_1 = require("ng2-drag-drop");
var router_1 = require("@angular/router");
var pie_component_1 = require("./components/graps/pie/pie.component");
var bar_component_1 = require("./components/graps/bar/bar.component");
var line_component_1 = require("./components/graps/line/line.component");
var translate_pipe_pipe_1 = require("./pipes/translate-pipe.pipe");
var phone_directive_1 = require("./diretives/phone.directive");
var cnpj_directive_1 = require("./diretives/cnpj.directive");
var cpf_directive_1 = require("./diretives/cpf.directive");
var cep_directive_1 = require("./diretives/cep.directive");
var report_component_1 = require("./components/report/report.component");
var series_component_1 = require("./components/graps/series/series.component");
var datebox_directive_1 = require("./diretives/datebox.directive");
var input_text_component_2 = require("./components/input/input-text/input-text.component");
exports.InputTextComponent = input_text_component_2.InputTextComponent;
var input_cep_component_2 = require("./components/input/input-cep/input-cep.component");
exports.InputCepComponent = input_cep_component_2.InputCepComponent;
var input_cnpj_component_2 = require("./components/input/input-cnpj/input-cnpj.component");
exports.InputCnpjComponent = input_cnpj_component_2.InputCnpjComponent;
var input_cpf_component_2 = require("./components/input/input-cpf/input-cpf.component");
exports.InputCpfComponent = input_cpf_component_2.InputCpfComponent;
var input_email_component_2 = require("./components/input/input-email/input-email.component");
exports.InputEmailComponent = input_email_component_2.InputEmailComponent;
var input_mask_component_2 = require("./components/input/input-mask/input-mask.component");
exports.InputMaskComponent = input_mask_component_2.InputMaskComponent;
var input_number_component_2 = require("./components/input/input-number/input-number.component");
exports.InputNumberComponent = input_number_component_2.InputNumberComponent;
var input_password_component_2 = require("./components/input/input-password/input-password.component");
exports.InputPasswordComponent = input_password_component_2.InputPasswordComponent;
var input_telefone_component_2 = require("./components/input/input-telefone/input-telefone.component");
exports.InputTelefoneComponent = input_telefone_component_2.InputTelefoneComponent;
var accordion_component_2 = require("./components/accordion/accordion.component");
exports.AccordionComponent = accordion_component_2.AccordionComponent;
var accordion_group_component_2 = require("./components/accordion/accordion-group.component");
exports.AccordionGroupComponent = accordion_group_component_2.AccordionGroupComponent;
var alert_component_2 = require("./components/alert/alert.component");
exports.AlertComponent = alert_component_2.AlertComponent;
var autocomplete_component_2 = require("./components/autocomplete/autocomplete.component");
exports.AutocompleteComponent = autocomplete_component_2.AutocompleteComponent;
var breadcrumb_component_2 = require("./components/breadcrumb/breadcrumb.component");
exports.BreadcrumbComponent = breadcrumb_component_2.BreadcrumbComponent;
var button_component_2 = require("./components/button/button.component");
exports.ButtonComponent = button_component_2.ButtonComponent;
var button_submit_component_2 = require("./components/button-submit/button-submit.component");
exports.ButtonSubmitComponent = button_submit_component_2.ButtonSubmitComponent;
var checkbox_component_2 = require("./components/checkbox/checkbox.component");
exports.CheckboxComponent = checkbox_component_2.CheckboxComponent;
var crud_component_2 = require("./components/crud/crud.component");
exports.CrudComponent = crud_component_2.CrudComponent;
var crud2_component_2 = require("./components/crud2/crud2.component");
exports.Crud2Component = crud2_component_2.Crud2Component;
var datebox_component_2 = require("./components/datebox/datebox.component");
exports.DateboxComponent = datebox_component_2.DateboxComponent;
var fieldset_component_2 = require("./components/fieldset/fieldset.component");
exports.FieldsetComponent = fieldset_component_2.FieldsetComponent;
var filters_component_2 = require("./components/filters/filters.component");
exports.FiltersComponent = filters_component_2.FiltersComponent;
var form_component_2 = require("./components/form/form.component");
exports.FormComponent = form_component_2.FormComponent;
var grid_component_2 = require("./components/grid/grid.component");
exports.GridComponent = grid_component_2.GridComponent;
var list_view_component_2 = require("./components/list-view/list-view.component");
exports.ListViewComponent = list_view_component_2.ListViewComponent;
exports.ListOptions = list_view_component_2.ListOptions;
var menu_component_2 = require("./components/menu/menu.component");
exports.MenuComponent = menu_component_2.MenuComponent;
exports.ItemMenuComponent = menu_component_2.ItemMenuComponent;
var modal_component_2 = require("./components/modal/modal.component");
exports.ModalComponent = modal_component_2.ModalComponent;
var monitor_component_2 = require("./components/monitor/monitor.component");
exports.MonitorComponent = monitor_component_2.MonitorComponent;
var multiselect_component_2 = require("./components/multiselect/multiselect.component");
exports.MultiselectComponent = multiselect_component_2.MultiselectComponent;
var notification_component_2 = require("./components/notification/notification.component");
exports.NotificationComponent = notification_component_2.NotificationComponent;
var parameters_component_2 = require("./components/parameters/parameters.component");
exports.ParametersComponent = parameters_component_2.ParametersComponent;
var progressbar_component_2 = require("./components/progressbar/progressbar.component");
exports.ProgressbarComponent = progressbar_component_2.ProgressbarComponent;
var radio_component_2 = require("./components/radio/radio.component");
exports.RadioComponent = radio_component_2.RadioComponent;
exports.RadioOptions = radio_component_2.RadioOptions;
var relatorios_component_2 = require("./components/relatorios/relatorios.component");
exports.RelatoriosComponent = relatorios_component_2.RelatoriosComponent;
var rotator_component_2 = require("./components/rotator/rotator.component");
exports.RotatorComponent = rotator_component_2.RotatorComponent;
var select_component_2 = require("./components/select/select.component");
exports.SelectComponent = select_component_2.SelectComponent;
var tab_component_2 = require("./components/tabs/tab.component");
exports.TabComponent = tab_component_2.TabComponent;
var tabs_component_2 = require("./components/tabs/tabs.component");
exports.TabsComponent = tabs_component_2.TabsComponent;
var treeview_component_2 = require("./components/treeview/treeview.component");
exports.TreeviewComponent = treeview_component_2.TreeviewComponent;
var textarea_component_2 = require("./components/input/textarea/textarea.component");
exports.TextareaComponent = textarea_component_2.TextareaComponent;
var breadcrumb_crud_component_2 = require("./components/breadcrumb-crud/breadcrumb-crud.component");
exports.BreadcrumbCrudComponent = breadcrumb_crud_component_2.BreadcrumbCrudComponent;
var money_component_2 = require("./components/input/money/money.component");
exports.MoneyComponent = money_component_2.MoneyComponent;
var pie_component_2 = require("./components/graps/pie/pie.component");
exports.PieComponent = pie_component_2.PieComponent;
var bar_component_2 = require("./components/graps/bar/bar.component");
exports.BarComponent = bar_component_2.BarComponent;
var line_component_2 = require("./components/graps/line/line.component");
exports.LineComponent = line_component_2.LineComponent;
var translate_pipe_pipe_2 = require("./pipes/translate-pipe.pipe");
exports.TranslatePipe = translate_pipe_pipe_2.TranslatePipe;
var phone_directive_2 = require("./diretives/phone.directive");
exports.PhoneDirective = phone_directive_2.PhoneDirective;
var cnpj_directive_2 = require("./diretives/cnpj.directive");
exports.CnpjDirective = cnpj_directive_2.CnpjDirective;
var cpf_directive_2 = require("./diretives/cpf.directive");
exports.CpfDirective = cpf_directive_2.CpfDirective;
var cep_directive_2 = require("./diretives/cep.directive");
exports.CepDirective = cep_directive_2.CepDirective;
var datebox_directive_2 = require("./diretives/datebox.directive");
exports.DateboxDirective = datebox_directive_2.DateboxDirective;
var SbmModule = (function () {
    function SbmModule() {
    }
    SbmModule.forRoot = function () {
        return { ngModule: SbmModule, providers: [] };
    };
    return SbmModule;
}());
SbmModule.decorators = [
    { type: core_1.NgModule, args: [{
                imports: [
                    common_1.CommonModule,
                    forms_1.FormsModule,
                    http_1.HttpModule,
                    ng2_currency_mask_1.CurrencyMaskModule,
                    ng_pick_datetime_1.DateTimePickerModule,
                    devextreme_angular_1.DevExtremeModule,
                    forms_1.ReactiveFormsModule,
                    http_1.JsonpModule,
                    core_2.TranslateModule.forRoot(),
                    ng2_drag_drop_1.Ng2DragDropModule.forRoot(),
                    router_1.RouterModule
                ],
                declarations: [
                    input_text_component_1.InputTextComponent,
                    textarea_component_1.TextareaComponent,
                    input_cep_component_1.InputCepComponent,
                    input_cnpj_component_1.InputCnpjComponent,
                    input_cpf_component_1.InputCpfComponent,
                    input_email_component_1.InputEmailComponent,
                    input_mask_component_1.InputMaskComponent,
                    input_number_component_1.InputNumberComponent,
                    input_password_component_1.InputPasswordComponent,
                    input_telefone_component_1.InputTelefoneComponent,
                    accordion_component_1.AccordionComponent,
                    accordion_group_component_1.AccordionGroupComponent,
                    alert_component_1.AlertComponent,
                    autocomplete_component_1.AutocompleteComponent,
                    breadcrumb_component_1.BreadcrumbComponent,
                    breadcrumb_crud_component_1.BreadcrumbCrudComponent,
                    button_component_1.ButtonComponent,
                    button_submit_component_1.ButtonSubmitComponent,
                    checkbox_component_1.CheckboxComponent,
                    crud_component_1.CrudComponent,
                    grid_component_1.SbmGridColumn,
                    master_detail_form_1.SbmMasterDetailForm,
                    master_detail_component_1.MasterDetailComponent,
                    crud2_component_1.CrudActionBarComponent,
                    crud2_component_1.CrudActionComplementaryBarComponent,
                    crud2_component_1.CrudFormComponent,
                    filters_component_1.FiltersComponent,
                    menu_component_1.SubMenuComponent,
                    monitor_component_1.MonitorComponent,
                    crud2_component_1.Crud2Component,
                    datebox_component_1.DateboxComponent,
                    fieldset_component_1.FieldsetComponent,
                    form_component_1.FormComponent,
                    grid_component_1.GridComponent,
                    list_view_component_1.ListViewComponent,
                    list_view_component_1.ListOptions,
                    menu_component_1.MenuComponent,
                    menu_component_1.ItemMenuComponent,
                    modal_component_1.ModalComponent,
                    multiselect_component_1.MultiselectComponent,
                    notification_component_1.NotificationComponent,
                    parameters_component_1.ParametersComponent,
                    progressbar_component_1.ProgressbarComponent,
                    money_component_1.MoneyComponent,
                    radio_component_1.RadioComponent,
                    radio_component_1.RadioOptions,
                    relatorios_component_1.RelatoriosComponent,
                    report_component_1.ReportComponent,
                    rotator_component_1.RotatorComponent,
                    select_component_1.SelectComponent,
                    tab_component_1.TabComponent,
                    tabs_component_1.TabsComponent,
                    treeview_component_1.TreeviewComponent,
                    upload_component_1.UploadComponent,
                    image_component_1.ImageComponent,
                    label_component_1.LabelComponent,
                    filter_pipe_1.SelectFilterPipe,
                    filter_pipe_1.FilterPipe,
                    drag_and_drop_component_1.DragAndDropComponent,
                    drag_component_1.DragComponent,
                    drop_component_1.DropComponent,
                    drag_drop_content_1.DragDropContentComponent,
                    pie_component_1.PieComponent,
                    bar_component_1.BarComponent,
                    line_component_1.LineComponent,
                    series_component_1.SeriesComponent,
                    translate_pipe_pipe_1.TranslatePipe,
                    cep_directive_1.CepDirective,
                    cpf_directive_1.CpfDirective,
                    phone_directive_1.PhoneDirective,
                    cnpj_directive_1.CnpjDirective,
                    datebox_directive_1.DateboxDirective
                ],
                exports: [
                    input_text_component_1.InputTextComponent,
                    textarea_component_1.TextareaComponent,
                    input_cep_component_1.InputCepComponent,
                    input_cnpj_component_1.InputCnpjComponent,
                    input_cpf_component_1.InputCpfComponent,
                    input_email_component_1.InputEmailComponent,
                    input_mask_component_1.InputMaskComponent,
                    input_number_component_1.InputNumberComponent,
                    input_password_component_1.InputPasswordComponent,
                    input_telefone_component_1.InputTelefoneComponent,
                    accordion_component_1.AccordionComponent,
                    accordion_group_component_1.AccordionGroupComponent,
                    alert_component_1.AlertComponent,
                    autocomplete_component_1.AutocompleteComponent,
                    breadcrumb_component_1.BreadcrumbComponent,
                    breadcrumb_crud_component_1.BreadcrumbCrudComponent,
                    button_component_1.ButtonComponent,
                    button_submit_component_1.ButtonSubmitComponent,
                    checkbox_component_1.CheckboxComponent,
                    crud_component_1.CrudComponent,
                    grid_component_1.SbmGridColumn,
                    master_detail_form_1.SbmMasterDetailForm,
                    master_detail_component_1.MasterDetailComponent,
                    crud2_component_1.CrudActionBarComponent,
                    crud2_component_1.CrudActionComplementaryBarComponent,
                    crud2_component_1.CrudFormComponent,
                    filters_component_1.FiltersComponent,
                    menu_component_1.SubMenuComponent,
                    monitor_component_1.MonitorComponent,
                    crud2_component_1.Crud2Component,
                    datebox_component_1.DateboxComponent,
                    fieldset_component_1.FieldsetComponent,
                    form_component_1.FormComponent,
                    grid_component_1.GridComponent,
                    list_view_component_1.ListViewComponent,
                    list_view_component_1.ListOptions,
                    menu_component_1.MenuComponent,
                    menu_component_1.ItemMenuComponent,
                    modal_component_1.ModalComponent,
                    money_component_1.MoneyComponent,
                    multiselect_component_1.MultiselectComponent,
                    notification_component_1.NotificationComponent,
                    parameters_component_1.ParametersComponent,
                    progressbar_component_1.ProgressbarComponent,
                    radio_component_1.RadioComponent,
                    radio_component_1.RadioOptions,
                    relatorios_component_1.RelatoriosComponent,
                    report_component_1.ReportComponent,
                    rotator_component_1.RotatorComponent,
                    select_component_1.SelectComponent,
                    tab_component_1.TabComponent,
                    tabs_component_1.TabsComponent,
                    treeview_component_1.TreeviewComponent,
                    upload_component_1.UploadComponent,
                    image_component_1.ImageComponent,
                    label_component_1.LabelComponent,
                    filter_pipe_1.SelectFilterPipe,
                    filter_pipe_1.FilterPipe,
                    drag_and_drop_component_1.DragAndDropComponent,
                    drag_component_1.DragComponent,
                    drop_component_1.DropComponent,
                    drag_drop_content_1.DragDropContentComponent,
                    pie_component_1.PieComponent,
                    bar_component_1.BarComponent,
                    series_component_1.SeriesComponent,
                    line_component_1.LineComponent,
                    translate_pipe_pipe_1.TranslatePipe,
                    cep_directive_1.CepDirective,
                    cpf_directive_1.CpfDirective,
                    phone_directive_1.PhoneDirective,
                    cnpj_directive_1.CnpjDirective,
                    datebox_directive_1.DateboxDirective
                ],
                schemas: [core_1.CUSTOM_ELEMENTS_SCHEMA]
            },] },
];
/** @nocollapse */
SbmModule.ctorParameters = function () { return []; };
exports.SbmModule = SbmModule;
