import { OnInit } from "@angular/core";
import { ActivatedRouteSnapshot, Router } from "@angular/router";
import { IComponentDefault } from "../../interfaces/IComponentDefault";
import { AbstractNgModel } from "../../models/abstract.ngmodel";
import { IBreadcrumbs } from "../../interfaces/IBreadcrumbs";
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
import { Http } from '@angular/http';
export declare class BreadcrumbComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _router;
    _http: Http;
    private _translateService;
    private _sharedService;
    breadcrumbs: IBreadcrumbs[];
    id: string;
    securityId: string;
    css: string;
    constructor(_router: Router, _http: Http, _translateService: TranslateService, _sharedService: SharedService);
    ngOnInit(): void;
    navegar(breadcrumb: any): void;
    parseRoute(node: ActivatedRouteSnapshot): void;
}
