import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
import { Http } from '@angular/http';
export declare class ButtonComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _translateService;
    _http: Http;
    private _sharedService;
    constructor(_translateService: TranslateService, _http: Http, _sharedService: SharedService);
    button: ElementRef;
    id: string;
    securityId: string;
    private privateLabel;
    text: string;
    css: string;
    styleCss: string;
    color: string;
    icon: string;
    design: string;
    title: string;
    disabled: boolean;
    type: any;
    _columns: any;
    columns: any;
    _onClick: EventEmitter<{}>;
    onClick: string;
    _text: any;
    ngOnInit(): void;
    itemClicado($event: any): void;
}
export declare enum ButtonEnumType {
    default = 0,
    normal = 1,
    success = 2,
    danger = 3,
    back = 4,
}
