import { Subscription } from 'rxjs';
import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { SharedService } from '../../models/sharedService';
import { TranslateService } from '@ngx-translate/core';
import { Http } from '@angular/http';
export declare class DateboxComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private el;
    private _sharedService;
    _http: Http;
    private _translateService;
    constructor(el: ElementRef, _sharedService: SharedService, _http: Http, _translateService: TranslateService);
    datebox: ElementRef;
    component: any;
    id: string;
    securityId: string;
    attribute: string;
    css: string;
    styleCss: string;
    defaultValue: number;
    disabled: boolean;
    readonly: boolean;
    notnull: any;
    onClick: string;
    onChange: string;
    _onClick: EventEmitter<{}>;
    _onChange: EventEmitter<{}>;
    _columns: any;
    columns: any;
    _min: string;
    min: string;
    _max: string;
    max: string;
    private privateLabel;
    label: string;
    displayFormat: any;
    typeDisplay: any;
    _type: any;
    type: any;
    isNotMasterDetail: boolean;
    private date;
    private picker;
    private pickerElement;
    valueChangeSubscription: Subscription;
    inputValid: boolean;
    randomId: string;
    value: any;
    valueEvent: any;
    textDateBox: any;
    _label: any;
    traducao: any;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    closeDateBox(date: Date): void;
    blur: (date: any) => void;
    keyup($event: string): void;
    regex(value: string): boolean;
    ngOnDestroy(): void;
}
export declare const DateboxConstDisplayFormat: {
    date: string;
    time: string;
    datetime: string;
};
export declare enum DateboxEnumType {
    date = 0,
    time = 1,
    datetime = 2,
}
