import { OnInit } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { SharedService } from "../../models/sharedService";
import { TranslateService } from '@ngx-translate/core';
import { Http } from '@angular/http';
export declare class DragAndDropComponent extends AbstractNgModel implements OnInit, IComponentDefault {
    private _sharedService;
    private _translateService;
    _http: Http;
    constructor(_sharedService: SharedService, _translateService: TranslateService, _http: Http);
    droppedItems: any;
    private items;
    value: any;
    securityId: string;
    id: string;
    textdrop: string;
    textdrag: string;
    keepItems: boolean;
    design: string;
    itemSrc: string;
    itemLink: string;
    itemIcon: string;
    itemText: string;
    itemDesc: string;
    _dataSource: any;
    dataSource: any;
    _columns: any;
    columns: any;
    changeDataSorce(val: any): void;
    onItemDrop(e: any): void;
    onItemDropData(e: any): void;
    dragEnd(e: any): void;
    dragEndData(e: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
