import { OnInit, QueryList } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { DragComponent } from './drag.component';
import { DropComponent } from './drop.component';
import { Subscription } from 'rxjs';
import { SharedService } from "../../models/sharedService";
import { TranslateService } from '@ngx-translate/core';
import { Http } from '@angular/http';
export declare class DragDropContentComponent extends AbstractNgModel implements OnInit, IComponentDefault {
    private _sharedService;
    private _translateService;
    _http: Http;
    constructor(_sharedService: SharedService, _translateService: TranslateService, _http: Http);
    securityId: string;
    id: string;
    dropSbuscribe: Subscription;
    dropSbuscribeTwo: Subscription;
    dragComponent: QueryList<DragComponent>;
    dropComponent: QueryList<DropComponent>;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
