import { EventEmitter, OnInit } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { SharedService } from "../../models/sharedService";
import { TranslateService } from '@ngx-translate/core';
import { Http } from '@angular/http';
export declare class DropComponent extends AbstractNgModel implements OnInit, IComponentDefault {
    private _sharedService;
    private _translateService;
    _http: Http;
    constructor(_sharedService: SharedService, _translateService: TranslateService, _http: Http);
    _droppedItems: any;
    droppedItems: any;
    items: any;
    instanceDrag: any[];
    value: any;
    callDrop: EventEmitter<{}>;
    callBackRemove: EventEmitter<{}>;
    isDropped: boolean;
    securityId: string;
    id: string;
    title: string;
    emptyMessage: string;
    keepItems: boolean;
    _design: string;
    design: string;
    itemSrc: string;
    itemLink: string;
    itemIcon: string;
    itemTitle: string;
    itemDesc: string;
    dropScope: string[];
    dropEnabled: boolean;
    _columns: any;
    columns: any;
    removeIndexes(array: any): any[];
    dragEnd(e: any, instanceDrag: any): void;
    onItemDrop(e: any): void;
    removeItem($item: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
