import { ElementRef, EventEmitter, OnInit } from "@angular/core";
import { AbstractNgModel } from "../../../models/abstract.ngmodel";
import { IComponentDefault } from "../../../interfaces/IComponentDefault";
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../../models/sharedService';
import { Http } from '@angular/http';
export declare class InputNumberComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _translateService;
    _http: Http;
    private _sharedService;
    constructor(_translateService: TranslateService, _http: Http, _sharedService: SharedService);
    inputNumber: ElementRef;
    component: any;
    id: string;
    securityId: string;
    name: string;
    min: number;
    max: number;
    step: string;
    css: string;
    styleCss: string;
    digitAlign: string;
    spinButtons: boolean;
    placeholder: string;
    notnull: boolean;
    onBlur: string;
    onKeyup: string;
    disabled: boolean;
    readonly: boolean;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    private _attribute;
    attribute: string;
    private privateLabel;
    label: string;
    _columns: any;
    columns: any;
    isNotMasterDetail: boolean;
    inputValid: boolean;
    msgError: string;
    randomId: string;
    dir: string;
    value: any;
    _label: any;
    keyup($event: any): void;
    blur($event: any): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
