import { Subscription } from 'rxjs';
import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { AbstractNgModel } from '../../../models/abstract.ngmodel';
import { IComponentDefault } from '../../../interfaces/IComponentDefault';
import { TranslateService } from "@ngx-translate/core";
import { SharedService } from "../../../models/sharedService";
import { Http } from '@angular/http';
export declare class InputPasswordComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _sharedService;
    _http: Http;
    private _translateService;
    traducao: any;
    inputPassword: ElementRef;
    component: any;
    id: string;
    securityId: string;
    name: string;
    placeholder: string;
    css: string;
    notnull: boolean;
    maxLength: string;
    minLength: string;
    styleCss: string;
    onBlur: string;
    onKeyup: string;
    disabled: boolean;
    readonly: boolean;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    private _attribute;
    attribute: string;
    private privateLabel;
    label: string;
    private _columns;
    columns: any;
    isNotMasterDetail: boolean;
    inputValid: boolean;
    msgError: string;
    randomId: string;
    labelWidth: string;
    _label: any;
    value: any;
    OnChangeValue: Subscription;
    validationsMsg: any;
    constructor(_sharedService: SharedService, _http: Http, _translateService: TranslateService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    keyup($event: any): void;
    blur(retorno: any): void;
    ngOnDestroy(): void;
}
