import { ElementRef, OnInit } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { TranslateService } from '@ngx-translate/core';
import { Http } from '@angular/http';
import { SharedService } from "../../models/sharedService";
export declare class LabelComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _sharedService;
    private _translateService;
    _http: Http;
    constructor(_sharedService: SharedService, _translateService: TranslateService, _http: Http);
    label: ElementRef;
    securityId: string;
    id: string;
    styleCss: string;
    css: string;
    align: string;
    type: string;
    _text: string;
    _columns: any;
    columns: any;
    setValue: any;
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
