import { ElementRef, EventEmitter, OnInit, QueryList, TemplateRef, ViewContainerRef, Renderer2 } from '@angular/core';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { IListview } from '../../interfaces/IListview';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
import { Http } from '@angular/http';
export declare class ListOptions extends AbstractNgModel {
    _http: Http;
    private _translateService;
    private _el;
    private _viewContainerRef;
    private renderer;
    constructor(_sharedService: SharedService, _http: Http, _translateService: TranslateService, _el: ElementRef, _viewContainerRef: ViewContainerRef, renderer: Renderer2);
    idListOption: any;
    value: string;
    text: string;
    el: any;
    columnTemplate: TemplateRef<any>;
    private content;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
export declare class ListViewComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _translateService;
    _http: Http;
    private _sharedService;
    constructor(_translateService: TranslateService, _http: Http, _sharedService: SharedService);
    listOption: QueryList<ListOptions>;
    listOptionsEl: ElementRef;
    id: string;
    securityId: string;
    attribute: string;
    dataSource: IListview[];
    notnull: boolean;
    _dataSource: any;
    text: string;
    css: string;
    label: string;
    placeholder: string;
    itemsSelected: any[];
    isNotMasterDetail: boolean;
    _columns: any;
    columns: any;
    msgError: string;
    styleClass: string;
    filterList: any;
    checkedAll: boolean;
    selectionMultiple: boolean;
    _onClick: EventEmitter<{}>;
    _onRemove: EventEmitter<{}>;
    onClick: string;
    selectedItems: any[];
    randomClass: number;
    setValue: boolean;
    value: any[];
    _label: any;
    ngOnInit(): void;
    keyupSearch(): void;
    selectItem(item: any): boolean;
    ngAfterViewInit(): void;
    allItems(all: any, items: any): void;
    noneItems(): void;
    ngAfterViewChecked(): void;
}
