"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var sharedService_1 = require("../../models/sharedService");
var http_1 = require("@angular/http");
var core_2 = require("@ngx-translate/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var ModalComponent = (function (_super) {
    __extends(ModalComponent, _super);
    function ModalComponent(_sharedService, _http, _translateService) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this._http = _http;
        _this._translateService = _translateService;
        _this.id = '';
        _this.securityId = '';
        _this.showTitle = true;
        _this.title = '';
        _this.width = '55%';
        _this.height = 'auto';
        _this.textButton = '';
        return _this;
    }
    Object.defineProperty(ModalComponent.prototype, "visible", {
        get: function () {
            return this._visible;
        },
        set: function (val) {
            this._visible = val;
            if (val) {
                $(this.popup.nativeElement).modal('open');
            }
            else {
                $(this.popup.nativeElement).modal('close');
            }
        },
        enumerable: true,
        configurable: true
    });
    ModalComponent.prototype.ngAfterViewInit = function () {
        var me = this;
        $(document).ready(function () {
            $(me.popup.nativeElement).modal();
            if (me.visible) {
                $(me.popup.nativeElement).modal('open');
            }
            else {
                $(me.popup.nativeElement).modal('close');
            }
        });
    };
    ModalComponent.prototype.open = function () {
        $(this.popup.nativeElement).modal('open');
    };
    return ModalComponent;
}(abstract_ngmodel_1.AbstractNgModel));
ModalComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-modal',
                template: "\n        <div #popup class=\"modal\" [ngStyle]=\"{'width': width, 'height': height}\">\n            <div class=\"modal-content\">\n              <h4 *ngIf=\"showTitle\">{{title}}</h4>\n              <ng-content></ng-content>\n            </div>\n        </div>\n    "
            },] },
];
/** @nocollapse */
ModalComponent.ctorParameters = function () { return [
    { type: sharedService_1.SharedService, },
    { type: http_1.Http, },
    { type: core_2.TranslateService, },
]; };
ModalComponent.propDecorators = {
    'popup': [{ type: core_1.ViewChild, args: ['popup',] },],
    'id': [{ type: core_1.Input },],
    'securityId': [{ type: core_1.Input },],
    'showTitle': [{ type: core_1.Input },],
    'title': [{ type: core_1.Input },],
    'width': [{ type: core_1.Input },],
    'height': [{ type: core_1.Input },],
    'textButton': [{ type: core_1.Input },],
    'visible': [{ type: core_1.Input },],
};
exports.ModalComponent = ModalComponent;
