"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var sharedService_1 = require("../../models/sharedService");
var http_1 = require("@angular/http");
var core_2 = require("@ngx-translate/core");
var ProgressbarComponent = (function (_super) {
    __extends(ProgressbarComponent, _super);
    function ProgressbarComponent(_sharedService, _http, _translateService) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this._http = _http;
        _this._translateService = _translateService;
        _this.id = '';
        _this.securityId = '';
        _this.css = 'sbm-progressbar';
        _this.min = 0;
        _this.max = 100;
        _this._columns = 'col l12 s12 m12 crud-form-dynamic';
        _this.statusDisplay = function (value) {
            return '' + Math.round(value * 100) + '%';
        };
        return _this;
    }
    Object.defineProperty(ProgressbarComponent.prototype, "columns", {
        get: function () {
            return this._columns;
        },
        set: function (value) {
            this._columns = "col l" + value + " s12 m12 crud-form-dynamic";
        },
        enumerable: true,
        configurable: true
    });
    return ProgressbarComponent;
}(abstract_ngmodel_1.AbstractNgModel));
ProgressbarComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-progressbar',
                template: "\n        <dx-progress-bar [(value)]='value' [min]='min' [max]='max' [visible]='exibirComponente' [class]=\"css\"\n                 [statusFormat]='statusDisplay'></dx-progress-bar>\n    ",
                host: {
                    '[class]': 'columns'
                },
                providers: [abstract_ngmodel_1.MakeProvider(ProgressbarComponent)]
            },] },
];
/** @nocollapse */
ProgressbarComponent.ctorParameters = function () { return [
    { type: sharedService_1.SharedService, },
    { type: http_1.Http, },
    { type: core_2.TranslateService, },
]; };
ProgressbarComponent.propDecorators = {
    'id': [{ type: core_1.Input },],
    'securityId': [{ type: core_1.Input },],
    'css': [{ type: core_1.Input },],
    'min': [{ type: core_1.Input },],
    'max': [{ type: core_1.Input },],
    'columns': [{ type: core_1.Input },],
};
exports.ProgressbarComponent = ProgressbarComponent;
