import { Subscription } from 'rxjs';
import { ElementRef, EventEmitter, OnInit, QueryList, TemplateRef } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
import { Http } from '@angular/http';
export declare class RadioOptions {
    idRadioOption: any;
    value: string;
    columnTemplate: TemplateRef<any>;
    ngOnInit(): void;
}
export declare class RadioComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _el;
    private _translateService;
    _http: Http;
    private _sharedService;
    constructor(_el: ElementRef, _translateService: TranslateService, _http: Http, _sharedService: SharedService);
    radioOptions: QueryList<RadioOptions>;
    id: string;
    securityId: string;
    attribute: string;
    text: string;
    css: string;
    label: string;
    layout: any;
    dataSource: any[];
    placeholder: string;
    isNotMasterDetail: boolean;
    _columns: any;
    columns: any;
    _dataSource: any;
    _onClick: EventEmitter<{}>;
    onClick: string;
    notnull: boolean;
    inputValid: boolean;
    msgError: string;
    randomClass: number;
    value: any;
    _label: any;
    onValueChange: Subscription;
    ngOnInit(): void;
    setValue: (value: any) => void;
    itemClicado(itemAtual: any): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
export declare enum RadioEnumOrientation {
    horizontal = 0,
    vertical = 1,
}
