"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var RotatorComponent = (function () {
    function RotatorComponent() {
        this.dataSource = [];
        this.height = 300;
        this.loop = true;
        this.showButtons = false;
        this.showIndicator = false;
        this.slideshowDelay = 3000;
    }
    RotatorComponent.prototype.ngOnInit = function () {
    };
    return RotatorComponent;
}());
RotatorComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-rotator',
                template: "\n        <dx-gallery\n            [dataSource]=\"dataSource\"\n            [height]=\"height\"\n            [slideshowDelay]=\"slideshowDelay\"\n            [loop]=\"loop\"\n            [showNavButtons]=\"showbuttons\"\n            [showIndicator]=\"showIndicator\">\n            <div *dxTemplate=\"let itemAtual of 'item'\">\n                <img src=\"{{itemAtual}}\" height=\"100%\"/>\n            </div>\n        </dx-gallery>\n    "
            },] },
];
/** @nocollapse */
RotatorComponent.ctorParameters = function () { return []; };
RotatorComponent.propDecorators = {
    'dataSource': [{ type: core_1.Input },],
    'height': [{ type: core_1.Input },],
    'loop': [{ type: core_1.Input },],
    'showButtons': [{ type: core_1.Input },],
    'showIndicator': [{ type: core_1.Input },],
    'slideshowDelay': [{ type: core_1.Input, args: ['time',] },],
};
exports.RotatorComponent = RotatorComponent;
