import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { ReqHttpService } from '../../services/req-http.service';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from "../../models/sharedService";
import { Http } from '@angular/http';
import { Subscription } from 'rxjs';
export declare class SelectComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _req;
    private _el;
    private _sharedService;
    _http: Http;
    private _translateService;
    constructor(_req: ReqHttpService, _el: ElementRef, _sharedService: SharedService, _http: Http, _translateService: TranslateService);
    combobox: ElementRef;
    component: any;
    id: string;
    securityId: string;
    css: string;
    text: string[];
    textSeparator: string;
    reqIndexKey: string;
    valueField: string;
    actionButton: boolean;
    styleCss: string;
    notnull: boolean;
    disabled: boolean;
    readonly: boolean;
    urlButton: string;
    onClick: string;
    attribute: string;
    _onClick: EventEmitter<{}>;
    onActionButtons: EventEmitter<{}>;
    private privateLabel;
    label: string;
    private _columns;
    columns: any;
    private __dataSource;
    dataSource: any;
    static _onActionButtons: EventEmitter<{}>;
    _label: any;
    _resSucess: EventEmitter<{}>;
    _dataSource: any;
    inputValid: boolean;
    msgError: string;
    value: any;
    reqSucess: boolean;
    isNotMasterDetail: boolean;
    randomNumber: any;
    randomId: any;
    searchValue: any;
    currentItem: any;
    validationsMsg: any;
    private errorService;
    valueSubscribe: Subscription;
    setDataSource: any;
    setValue: any;
    reqService(): void;
    openDrop($el?: any): void;
    closeDrop(): void;
    sendError(): void;
    actionButtonEmit(filter: string): void;
    itemClicado(itemAtual: any, $event?: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
