import { OnInit, ViewContainerRef } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
import { Http } from '@angular/http';
export declare class TabComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _translateService;
    _http: Http;
    _viewContainerRef: ViewContainerRef;
    private _sharedService;
    constructor(_translateService: TranslateService, _http: Http, _viewContainerRef: ViewContainerRef, _sharedService: SharedService);
    id: string;
    securityId: string;
    randomId: string;
    private privateLabel;
    text: string;
    active: boolean;
    disabled: boolean;
    _text: any;
    ngOnInit(): void;
}
