import { EventEmitter, OnInit } from '@angular/core';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { SharedService } from "../../models/sharedService";
import { Http } from '@angular/http';
import { TranslateService } from "@ngx-translate/core";
export declare class UploadComponent extends AbstractNgModel implements OnInit, IComponentDefault {
    private _sharedService;
    _http: Http;
    private _translateService;
    constructor(_sharedService: SharedService, _http: Http, _translateService: TranslateService);
    traducao: any;
    _label: string;
    id: string;
    securityId: string;
    attribute: string;
    multiple: boolean;
    private privateLabel;
    label: string;
    notnull: boolean;
    fileUploader: any;
    inputValid: boolean;
    msgError: string;
    validationsMsg: any;
    _columns: any;
    columns: any;
    onUpload: EventEmitter<{}>;
    value: any;
    isNotMasterDetail: boolean;
    ngOnInit(): void;
    clearValue(): void;
    valueChanged($data: any): void;
}
