"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var CepDirective = (function () {
    function CepDirective(sbmCep) {
        this.sbmCep = sbmCep;
    }
    CepDirective.prototype.validate = function (c) {
        if (c.value) {
            var regexCep = /\d{2}\.\d{3}\-\d{3}/;
            if (regexCep.test(c.value)) {
                return null;
            }
            else {
                return {
                    cep: true
                };
            }
        }
        return null;
    };
    return CepDirective;
}());
CepDirective.decorators = [
    { type: core_1.Directive, args: [{
                selector: '[sbmCep]',
                providers: [
                    { provide: forms_1.NG_VALIDATORS, useExisting: core_1.forwardRef(function () { return CepDirective; }), multi: true }
                ]
            },] },
];
/** @nocollapse */
CepDirective.ctorParameters = function () { return [
    { type: undefined, decorators: [{ type: core_1.Attribute, args: ['sbmCep',] },] },
]; };
exports.CepDirective = CepDirective;
