"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var funcoes_component_1 = require("../models/funcoes.component");
var CnpjDirective = (function () {
    function CnpjDirective(sbmCnpj) {
        this.sbmCnpj = sbmCnpj;
    }
    CnpjDirective.prototype.validate = function (c) {
        if (c.value) {
            if (funcoes_component_1.FuncoesComponent.validarCNPJ(c.value)) {
                return null;
            }
            else {
                return {
                    cnpj: true
                };
            }
        }
        return null;
    };
    return CnpjDirective;
}());
CnpjDirective.decorators = [
    { type: core_1.Directive, args: [{
                selector: '[sbmCnpj]',
                providers: [
                    { provide: forms_1.NG_VALIDATORS, useExisting: core_1.forwardRef(function () { return CnpjDirective; }), multi: true }
                ]
            },] },
];
/** @nocollapse */
CnpjDirective.ctorParameters = function () { return [
    { type: undefined, decorators: [{ type: core_1.Attribute, args: ['sbmCnpf',] },] },
]; };
exports.CnpjDirective = CnpjDirective;
