"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var PhoneDirective = (function () {
    function PhoneDirective(sbmPhone) {
        this.sbmPhone = sbmPhone;
    }
    PhoneDirective.prototype.validate = function (c) {
        if (c.value) {
            var value = c.value.replace(/\s{2,}/g, '');
            var regexPhone = /\([0-9]{2}\)[\s][0-9]{4}-[0-9]{4,5}/;
            if (regexPhone.test(value)) {
                return null;
            }
            else {
                return {
                    phone: true
                };
            }
        }
        return null;
    };
    return PhoneDirective;
}());
PhoneDirective.decorators = [
    { type: core_1.Directive, args: [{
                selector: '[sbmPhone]',
                providers: [
                    { provide: forms_1.NG_VALIDATORS, useExisting: core_1.forwardRef(function () { return PhoneDirective; }), multi: true }
                ]
            },] },
];
/** @nocollapse */
PhoneDirective.ctorParameters = function () { return [
    { type: undefined, decorators: [{ type: core_1.Attribute, args: ['sbmPhone',] },] },
]; };
exports.PhoneDirective = PhoneDirective;
