var sbmInputReload = (function () {
    $(document).ready(function () {
        Materialize.updateTextFields();
    });
});

var sbmCheckComponent = [];
var sbmRadioComponent = [];
var SbmSelectComponent = [];
var sbmInputTextComponent = [];
var sbmInputPasswordComponent = [];
var sbmInputEmailComponent = [];
var sbmInputMaskComponent = [];
var sbmInputPhoneComponent = [];
var sbmInputCepComponent = [];
var sbmInputCpfComponent = [];
var sbmInputCnpjComponent = [];
var sbmInputNumberComponent = [];
var sbmTextareaComponent = [];
var sbmInputMoneyComponent = [];
var sbmLabelComponent = [];
var sbmGridComponent = [];
var sbmFieldsetComponent = [];
var sbmDateboxComponent = [];
var sbmButtonComponent = [];
var sbmAutocompleteComponent = [];
var sbmMultiSelectComponent = [];
var sbmAccordionComponent = [];
var sbmTabsComponent = [];
var sbmListViewComponent = [];
var sbmGraphPieComponent = [];
var sbmGraphBarComponent = [];
var sbmGraphLineComponent = [];

(function ($) {
    $.fn.sbmModal = function (option) {
        if (option == 'open') {
            this.find('.modal').modal('open');
        } else {
            this.find('.modal').modal('close');
        }
        return true;
    };

    $.fn.setSecurityId = function (value) {
        var elementTag = this.prop('tagName');
        var el = this;

        switch (elementTag) {
            case 'SBM-CHECKBOX':

                if (value == 'true') {
                    this.find('.sbm-text-field').prop('checked', true);
                } else {
                    this.find('.sbm-text-field').prop('checked', false);
                }
                break;

            case 'SBM-SELECT':
                var value;
                SbmSelectComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.securityId;
                    }
                });
                return value;
                break;

            case 'SBM-RADIO':
                if (value) {
                    this.find('input.data-value-hidden').attr('data-value', JSON.stringify(value));
                } else {
                    this.find('input.data-value-hidden').attr('data-value');
                }
                break;

            case 'SBM-LABEL':

                if (value) {
                    this.find('.sbm-label-text').html(value);
                } else {
                    this.find('.sbm-label-text').text();
                }
                break;

            case 'SBM-LABEL':
                if (value) {
                    this.find('.sbm-fieldset-content').html(value);
                } else {
                    this.find('.sbm-fieldset-content').html();
                }
                break;

            case 'SBM-INPUT-TEXT':
                if (value) {
                    sbmInputTextComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.securityId = value;
                        }
                    })
                }
                break;

            default:
                this.find('.sbm-text-field').val(value);
                break;
        }
    }

    $.fn.setCss = function (value) {
        if (value) {
            this.find('.sbm-text-field').addClass(value);
        } else {
            return this.find('input').attr('class');
        }
    }

    $.fn.setVisible = function (value) {
        var el = this;
        var elementTag = this.prop('tagName');
        switch (elementTag) {
            case 'SBM-CHECKBOX':
                sbmCheckComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.checkbox.nativeElement).show();
                        } else {
                            $(item.checkbox.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-SELECT':
                if (value) {
                    SbmSelectComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            if (value) {
                                $(item.combobox.nativeElement).show();
                            } else {
                                $(item.combobox.nativeElement).hide();
                            }
                        }
                    })
                }
                break;

            case 'SBM-RADIO':
                sbmRadioComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.datebox.nativeElement).show();
                        } else {
                            $(item.datebox.nativeElement).hide();
                        }
                    }
                });
                break;

            case 'SBM-LABEL':
                sbmLabelComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.datebox.nativeElement).show();
                        } else {
                            $(item.datebox.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-DATEBOX':
                sbmDateboxComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.datebox.nativeElement).show();
                        } else {
                            $(item.datebox.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-FIELDSET':
                sbmFieldsetComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.fieldset.nativeElement).show();
                        } else {
                            $(item.fieldset.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-INPUT-PASSWORD':
                sbmInputPasswordComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.inputPassword.nativeElement).show();
                        } else {
                            $(item.inputPassword.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-INPUT-CEP':
                sbmInputCepComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.inputCep.nativeElement).show();
                        } else {
                            $(item.inputCep.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-INPUT-CNPJ':
                sbmInputCnpjComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.inputCnpj.nativeElement).show();
                        } else {
                            $(item.inputCnpj.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-INPUT-CPF':
                sbmInputCpfComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.inputCpf.nativeElement).show();
                        } else {
                            $(item.inputCpf.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-INPUT-EMAIL':
                sbmInputEmailComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.inputEmail.nativeElement).show();
                        } else {
                            $(item.inputEmail.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-INPUT-MASK':
                sbmInputMaskComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.inputMask.nativeElement).show();
                        } else {
                            $(item.inputMask.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-INPUT-NUMBER':
                sbmInputNumberComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.inputNumber.nativeElement).show();
                        } else {
                            $(item.inputNumber.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-INPUT-TELEFONE':
                sbmInputPhoneComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.inputPhone.nativeElement).show();
                        } else {
                            $(item.inputPhone.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-INPUT-TEXT':
                sbmInputTextComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.inputText.nativeElement).show();
                        } else {
                            $(item.inputText.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-MONEY':
                sbmInputMoneyComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.money.nativeElement).show();
                        } else {
                            $(item.money.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-TEXTAREA':
                sbmTextareaComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.textarea.nativeElement).show();
                        } else {
                            $(item.textarea.nativeElement).hide();
                        }
                    }
                })
                break;

            case 'SBM-BUTTON':
                sbmButtonComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            $(item.button.nativeElement).show();
                        } else {
                            $(item.button.nativeElement).hide();
                        }
                    }
                })
                break;

            default:
                console.error("Erro ao adicionar attributo");
                break;
        }
    }

    $.fn.setLabel = function (value) {
        if (value) {
            this.find('.sbm-input-label').text(value);
        } else {
            return this.find('.sbm-input-label').text();
        }
    }

    $.fn.setMinLength = function (value) {
        var el = this;
        if (value) {
            sbmInputTextComponent.map(function (item) {
                if (el.attr('id') == item.id) {
                    item.minLength = value;
                }
            })

            sbmTextareaComponent.map(function (item) {
                if (el.attr('id') == item.id) {
                    item.minLength = value;
                }
            })
        }
    }

    $.fn.setMaxLength = function (value) {
        var el = this;
        if (value) {
            sbmInputTextComponent.map(function (item) {
                if (el.attr('id') == item.id) {
                    item.maxLength = value;
                }
            });

            sbmTextareaComponent.map(function (item) {
                if (el.attr('id') == item.id) {
                    item.maxLength = value;
                }
            })
        }
    }

    $.fn.setStyleCss = function (value) {
        if (value) {
            this.find('.sbm-text-field').css(value);
        } else {
            return this.find('.sbm-text-field').attr('style');
        }
    }

    $.fn.setPattern = function (value) {
        if (value) {
            this.find('.sbm-text-field').attr('pattern', value);
        } else {
            return this.find('.sbm-text-field').attr('pattern');
        }
    }

    $.fn.setMin = function (value) {
        var el = this;
        var elementTag = this.prop('tagName');
        switch (elementTag) {
            case 'SBM-INPUT-NUMBER':
                if (value) {
                    sbmInputNumberComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.min = value;
                        }
                    })
                }
                break;
            case 'SBM-DATEBOX':
                if (value) {
                    sbmDateboxComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.min = value;
                        }
                    })
                }
                break;
        }
    }

    $.fn.setMax = function (value) {
        var el = this;
        var elementTag = this.prop('tagName');
        switch (elementTag) {
            case 'SBM-INPUT-NUMBER':
                if (value) {
                    sbmInputNumberComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.max = value;
                        }
                    })
                }
                break;
            case 'SBM-DATEBOX':
                if (value) {
                    sbmDateboxComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.max = value;
                        }
                    })
                }
                break;
        }
    }

    $.fn.setDataSource = function (value) {
        var el = this;
        var elementTag = this.prop('tagName');

        switch (elementTag) {
            case 'SBM-CHECKBOX':
                if (value == 'true') {
                    this.find('.sbm-text-field').prop('checked', true);
                } else {
                    this.find('.sbm-text-field').prop('checked', false);
                }
                break;

            case 'SBM-SELECT':
                if (value) {
                    SbmSelectComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.setDataSource(value);
                        }
                    })
                }
                break;

            case 'SBM-GRID':
                if (value) {
                    sbmGridComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.setDataSource(value);
                        }
                    })
                }
                break;

            case 'SBM-RADIO':
                if (value) {
                    this.find('input.data-value-hidden').attr('data-value', JSON.stringify(value));
                } else {
                    this.find('input.data-value-hidden').attr('data-value');
                }
                break;

            case 'SBM-LABEL':
                if (value) {
                    sbmLabelComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.setValue(value);
                        }
                    })
                }
                break;

            default:
                this.find('.sbm-text-field').val(value);
                break;
        }
    }

    $.fn.setText = function (value) {
        var elementTag = this.prop('tagName');
        var el = this;

        switch (elementTag) {
            case 'SBM-SELECT':
                var value;
                SbmSelectComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        item.text = value;
                    }
                });
                break;
        }
    }

    $.fn.getValue = function () {
        var elementTag = this.prop('tagName');
        var el = this;

        switch (elementTag) {
            case 'SBM-SELECT':
                var value;
                SbmSelectComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-RADIO':
                var value;
                sbmRadioComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-LABEL':
                var value;
                    sbmLabelComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            value = item.value;
                        }
                    });
                return value;
                break;

            case 'SBM-DATEBOX':
                var value;
                    sbmDateboxComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            value = item.value;
                        }
                    });
                return value;
                break;

            case 'SBM-INPUT-PASSWORD':
                var value;
                sbmInputPasswordComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-INPUT-CEP':
                var value;
                sbmInputCepComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-INPUT-CNPJ':
                var value;
                sbmInputCnpjComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-INPUT-CPF':
                var value;
                sbmInputCpfComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-INPUT-EMAIL':
                var value;
                sbmInputEmailComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-INPUT-MASK':
                var value;
                sbmInputMaskComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-INPUT-NUMBER':
                var value
                sbmInputNumberComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-INPUT-TELEFONE':
                var value;
                sbmInputPhoneComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-INPUT-TEXT':
                var value;
                sbmInputTextComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-MONEY':
                var value;
                sbmInputMoneyComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;

            case 'SBM-TEXTAREA':
                var value;
                sbmTextareaComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        value = item.value;
                    }
                });
                return value;
                break;



            default:
                console.error("Erro ao pegar o valor do componente")
        }
    }

    $.fn.setValue = function (value) {
        var el = this;
        var elementTag = this.prop('tagName');

        switch (elementTag) {
            case 'SBM-CHECKBOX':
                sbmCheckComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        item.value = value;
                    }
                })
                break;

            case 'SBM-SELECT':
                if (value) {
                    SbmSelectComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.setValue(value);
                        }
                    })
                }
                break;

            case 'SBM-RADIO':
                if (value) {
                    sbmRadioComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.setValue(value);
                        }
                    });
                }
                break;

            case 'SBM-LABEL':
                if (value) {
                    sbmLabelComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.setValue(value);
                        }
                    })
                }
                break;

            case 'SBM-DATEBOX':
                if (value) {
                    sbmDateboxComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            item.blur(value)
                            item.value = value;
                            el.find('input').val(value);
                        }
                    })
                }
                break;

            case 'SBM-FIELDSET':
                if (value) {
                    sbmFieldsetComponent.map(function (item) {
                        if (el.attr('id') == item.id) {
                            console.log(item)
                            item.setContent(value);
                        }
                    })
                }
                break;

            case 'SBM-INPUT-PASSWORD':
                sbmInputPasswordComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            item.value = value;
                            el.find('input').val(value);
                        }
                    }
                })
                break;

            case 'SBM-INPUT-CEP':
                sbmInputCepComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            item.value = value;
                            el.find('input').val(value);
                        }
                    }
                })
                break;

            case 'SBM-INPUT-CNPJ':
                sbmInputCnpjComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            item.value = value;
                            el.find('input').val(value);
                        }
                    }
                })
                break;

            case 'SBM-INPUT-CPF':
                sbmInputCpfComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            item.value = value;
                            el.find('input').val(value);
                        }
                    }
                })
                break;

            case 'SBM-INPUT-EMAIL':
                sbmInputEmailComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            item.value = value;
                            el.find('input').val(value);
                        }
                    }
                })
                break;

            case 'SBM-INPUT-MASK':
                sbmInputMaskComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            item.value = value;
                            el.find('input').val(value);
                        }
                    }
                })
                break;

            case 'SBM-INPUT-NUMBER':
                sbmInputNumberComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            item.value = value;
                            el.find('input').val(value);
                        }
                    }
                })
                break;

            case 'SBM-INPUT-TELEFONE':
                sbmInputPhoneComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            item.value = value;
                            el.find('input').val(value);
                        }
                    }
                })
                break;

            case 'SBM-INPUT-TEXT':
                sbmInputTextComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            item.value = value;
                            el.find('input').val(value);
                        }
                    }
                })
                break;

            case 'SBM-MONEY':
                sbmInputMoneyComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            item.value = value;
                            el.find('input').val(value);
                        }
                    }
                })
                break;

            case 'SBM-TEXTAREA':
                sbmTextareaComponent.map(function (item) {
                    if (el.attr('id') == item.id) {
                        if (value) {
                            item.value = value;
                            el.find('input').val(value);
                        }
                    }
                })
                break;

            default:
                console.error("Erro ao setar o valor no componente")
                break;
        }

        Materialize.updateTextFields()
    }
})(jQuery);



function sbmAlert(title, ConfirmTextButton, text, type, buttonCancel, CancelTextButton) {
    swal(
        {
            title: (title || ''),
            text: (text || ''),
            type: (type || 'success'),
            showCancelButton: (buttonCancel || false),
            confirmButtonText: (ConfirmTextButton || 'Ok'),
            cancelButtonText: (CancelTextButton || 'Cancelar'),
        }
    ).then(function (success) {
        return success;
    }, function () {
        return false;
    });
}


var oReq = new XMLHttpRequest();
var httpServer = {
    get: (function (url, headers, callback, before, after) {
        if (before) {
            before();
        }
        $('body').append('<div id="sbm-preloader" class="preloader-wrapper big active"><div class="spinner-layer spinner-blue-only"><div class="circle-clipper left"><div class="circle"></div></div><div class="gap-patch"><div class="circle"></div></div><div class="circle-clipper right"><div class="circle"></div></div></div></div>');

        var ret = {
            response: null,
            success: false,
            data: null,
            xhr: null,
            headers: null
        }
        oReq.open("GET", url, true);
        // oReq.setRequestHeader("content-type", "application/json");
        if (headers) {
            var keys = Object.keys(headers);
            for (var i = 0; i < keys.length; i++) {
                oReq.setRequestHeader(keys[i], headers[keys[i]]);
            }

        }
        oReq.onreadystatechange = function () {
            ret.response = this.status;
            ret.data = this.response;
            ret.headers = {
                'pragma': oReq.getResponseHeader("pragma"),
                'token': oReq.getResponseHeader("token")
            };
        };

        oReq.onload = function (e) {
            $("#sbm-preloader").remove();
            ret.success = true
            ret.xhr = e;

            callback(ret);
            if (after) {
                after();
            }
        }
        oReq.send();
    }),
    post: (function (url, headers, data, callback, before, after) {
        if (before) {
            before();
        }

        $('body').append('<div id="sbm-preloader" class="preloader-wrapper big active"><div class="spinner-layer spinner-blue-only"><div class="circle-clipper left"><div class="circle"></div></div><div class="gap-patch"><div class="circle"></div></div><div class="circle-clipper right"><div class="circle"></div></div></div></div>');

        var ret = {
            response: null,
            success: false,
            data: null,
            xhr: null
        }
        oReq.open("POST", url, true);
        oReq.setRequestHeader("content-type", "application/json");
        if (headers) {
            var keys = Object.keys(headers);
            for (var i = 0; i < keys.length; i++) {
                oReq.setRequestHeader(keys[i], headers[keys[i]]);
            }

        }
        oReq.onreadystatechange = function () {
            ret.response = this.status;
        };
        oReq.onload = function (e) {
            ret.success = true
            ret.data = e.response;
            ret.xhr = e;

            callback(ret);
            if (after) {
                after();
            }

            $("#sbm-preloader").remove();

        }
        oReq.send(JSON.stringify(data));
    }),
    put: (function (url, headers, data, callback) {
        var ret = {
            response: null,
            success: false,
            data: null,
            xhr: null
        }
        oReq.open("PUT", url, true);
        oReq.setRequestHeader("content-type", "application/json");
        if (headers) {
            var keys = Object.keys(headers);
            for (var i = 0; i < keys.length; i++) {
                oReq.setRequestHeader(keys[i], headers[keys[i]]);
            }
        }
        oReq.onreadystatechange = function () {
            ret.response = this.status;
        };
        oReq.onload = function (e) {
            ret.success = true
            ret.data = e.response;
            ret.xhr = e;
        }
        oReq.send(JSON.stringify(data));
    }),
    'delete': (function (url, headers, data, callback) {
        var ret = {
            response: null,
            success: false,
            data: null,
            xhr: null
        }
        oReq.open("DELETE", url, true);
        oReq.setRequestHeader("content-type", "application/json");
        if (headers) {
            var keys = Object.keys(headers);
            for (var i = 0; i < keys.length; i++) {
                oReq.setRequestHeader(keys[i], headers[keys[i]]);
            }

        }
        oReq.onreadystatechange = function () {
            ret.response = this.status;
        };
        oReq.onload = function (e) {
            ret.success = true
            ret.data = e.response;
            ret.xhr = e;
        }
        oReq.send(JSON.stringify(data));
    })
}
