"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var select_component_1 = require("../components/select/select.component");
var input_text_component_1 = require("../components/input/input-text/input-text.component");
var input_telefone_component_1 = require("../components/input/input-telefone/input-telefone.component");
var input_password_component_1 = require("../components/input/input-password/input-password.component");
var input_number_component_1 = require("../components/input/input-number/input-number.component");
var input_mask_component_1 = require("../components/input/input-mask/input-mask.component");
var input_cep_component_1 = require("../components/input/input-cep/input-cep.component");
var input_cnpj_component_1 = require("../components/input/input-cnpj/input-cnpj.component");
var input_cpf_component_1 = require("../components/input/input-cpf/input-cpf.component");
var input_email_component_1 = require("../components/input/input-email/input-email.component");
var radio_component_1 = require("../components/radio/radio.component");
var list_view_component_1 = require("../components/list-view/list-view.component");
var datebox_component_1 = require("../components/datebox/datebox.component");
var upload_component_1 = require("../components/upload/upload.component");
var autocomplete_component_1 = require("../components/autocomplete/autocomplete.component");
var checkbox_component_1 = require("../components/checkbox/checkbox.component");
var money_component_1 = require("../components/input/money/money.component");
var textarea_component_1 = require("../components/input/textarea/textarea.component");
var multiselect_component_1 = require("../components/multiselect/multiselect.component");
var forms_1 = require("@angular/forms");
var AbstractForm = (function () {
    function AbstractForm() {
    }
    AbstractForm.prototype.setFormControl = function ($object, item) {
        var attrsField = {
            id: item.id,
            require: item.notnull,
            attribute: item.attribute,
            minLength: item.minLength || false,
            maxLength: item.maxLength || false,
            pattern: item.pattern || false,
            value: item.value
        };
        var validator = [];
        if (attrsField.require) {
            validator.push(forms_1.Validators.required);
        }
        if (attrsField.minLength) {
            validator.push(forms_1.Validators.minLength(parseInt(attrsField.minLength)));
        }
        if (attrsField.maxLength) {
            validator.push(forms_1.Validators.maxLength(parseInt(attrsField.maxLength)));
        }
        if (attrsField.pattern) {
            validator.push(forms_1.Validators.pattern(attrsField.pattern));
        }
        $object.control.addControl(attrsField.attribute, new forms_1.FormControl(null, validator));
        $object.controls[attrsField.attribute].setValue(attrsField.value);
    };
    AbstractForm.prototype.addFormControls = function ($object) {
        var _this = this;
        // if (this.masterDetailComp.length > 0) {
        //     this.masterDetailComp.forEach((item, index) => {
        //         this.setFormControl($object, item);
        //     })
        // }
        if (this.inputTextComp.length > 0) {
            this.inputTextComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.inputCepComp.length > 0) {
            this.inputCepComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.inputCnpjComp.length > 0) {
            this.inputCnpjComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.inputCpfComp.length > 0) {
            this.inputCpfComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.inputEmailComp.length > 0) {
            this.inputEmailComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.inputMaskComp.length > 0) {
            this.inputMaskComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.inputNumberComp.length > 0) {
            this.inputNumberComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.inputTelefoneComp.length > 0) {
            this.inputTelefoneComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.selectComp.length > 0) {
            this.selectComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.radioComp.length > 0) {
            this.radioComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.listViewComp.length > 0) {
            this.listViewComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.dateBoxComp.length > 0) {
            this.dateBoxComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.uploadComp.length > 0) {
            this.uploadComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.autoCompleteComp.length > 0) {
            this.autoCompleteComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.checkBoxComp.length > 0) {
            this.checkBoxComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.moneyComp.length > 0) {
            this.moneyComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.textareaComp.length > 0) {
            this.textareaComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        if (this.multiSelectComp.length > 0) {
            this.multiSelectComp.forEach(function (item, index) {
                _this.setFormControl($object, item);
            });
        }
        console.log($object);
    };
    AbstractForm.prototype.crudSetValue = function (key, value) {
        /*if (this.masterDetailComp.length > 0) {
            this.masterDetailComp.forEach((item, index) => {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    if ($.isArray(value)) {
                        for (let l of value) {
                            item.value.push(l)
                        }
                        // item.dataSource = value
                    }else {
                        if (value != '') {
                            item.value.push(value)
                        }else {
                            item.value = [];
                        }
                    }
                    // item.dataSource = item.value;
                    item.loadedReq.subscribe((ret) => {
                     if (ret) {
                     console.log(ret, item.generatedEntity)
                     item.value.push(value)
                     item.dataSource.push(value)
                     }
                     })
                }
            })
        }*/
        if (this.inputTextComp.length > 0) {
            this.inputTextComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.inputCepComp.length > 0) {
            this.inputCepComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.inputCnpjComp.length > 0) {
            this.inputCnpjComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.inputCpfComp.length > 0) {
            this.inputCpfComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.inputEmailComp.length > 0) {
            this.inputEmailComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.inputMaskComp.length > 0) {
            this.inputMaskComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.inputNumberComp.length > 0) {
            this.inputNumberComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.inputTelefoneComp.length > 0) {
            this.inputTelefoneComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.selectComp.length > 0) {
            this.selectComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    // item.value = JSON.parse(value)
                    item.value = value;
                }
            });
        }
        if (this.radioComp.length > 0) {
            this.radioComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.listViewComp.length > 0) {
            this.listViewComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.dateBoxComp.length > 0) {
            this.dateBoxComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.uploadComp.length > 0) {
            this.uploadComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.autoCompleteComp.length > 0) {
            this.autoCompleteComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.checkBoxComp.length > 0) {
            this.checkBoxComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.moneyComp.length > 0) {
            this.moneyComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.textareaComp.length > 0) {
            this.textareaComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
        if (this.multiSelectComp.length > 0) {
            this.multiSelectComp.forEach(function (item, index) {
                if (key == item.attribute && !item.isNotMasterDetail) {
                    item.value = value;
                }
            });
        }
    };
    AbstractForm.prototype.getAllComponents = function () {
        var retorno = {};
        /*if (this.masterDetailComp.length > 0) {
            this.masterDetailComp.forEach((item, index) => {
                retorno[item.attribute] = item.value
            })
        }*/
        if (this.inputTextComp.length > 0) {
            this.inputTextComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.inputCepComp.length > 0) {
            this.inputCepComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.inputCnpjComp.length > 0) {
            this.inputCnpjComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.inputCpfComp.length > 0) {
            this.inputCpfComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.inputEmailComp.length > 0) {
            this.inputEmailComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.inputMaskComp.length > 0) {
            this.inputMaskComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.inputNumberComp.length > 0) {
            this.inputNumberComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.inputTelefoneComp.length > 0) {
            this.inputTelefoneComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.selectComp.length > 0) {
            this.selectComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.radioComp.length > 0) {
            this.radioComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.listViewComp.length > 0) {
            this.listViewComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.dateBoxComp.length > 0) {
            this.dateBoxComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.uploadComp.length > 0) {
            this.uploadComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.autoCompleteComp.length > 0) {
            this.autoCompleteComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.checkBoxComp.length > 0) {
            this.checkBoxComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.moneyComp.length > 0) {
            this.moneyComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.textareaComp.length > 0) {
            this.textareaComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        if (this.multiSelectComp.length > 0) {
            this.multiSelectComp.forEach(function (item, index) {
                retorno[item.attribute] = item;
            });
        }
        return retorno;
    };
    AbstractForm.prototype.setMasterDetailComp = function () {
        if (this.inputTextComp.length > 0) {
            this.inputTextComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.inputCepComp.length > 0) {
            this.inputCepComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.inputCnpjComp.length > 0) {
            this.inputCnpjComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.inputCpfComp.length > 0) {
            this.inputCpfComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.inputEmailComp.length > 0) {
            this.inputEmailComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.inputMaskComp.length > 0) {
            this.inputMaskComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.inputNumberComp.length > 0) {
            this.inputNumberComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.inputTelefoneComp.length > 0) {
            this.inputTelefoneComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.selectComp.length > 0) {
            this.selectComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.radioComp.length > 0) {
            this.radioComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.listViewComp.length > 0) {
            this.listViewComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.dateBoxComp.length > 0) {
            this.dateBoxComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.uploadComp.length > 0) {
            this.uploadComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.autoCompleteComp.length > 0) {
            this.autoCompleteComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.checkBoxComp.length > 0) {
            this.checkBoxComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.moneyComp.length > 0) {
            this.moneyComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.textareaComp.length > 0) {
            this.textareaComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
        if (this.multiSelectComp.length > 0) {
            this.multiSelectComp.forEach(function (item, index) {
                item.isNotMasterDetail = false;
            });
        }
    };
    AbstractForm.prototype.clearForm = function () {
        if (this.inputTextComp.length > 0) {
            this.inputTextComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.inputCepComp.length > 0) {
            this.inputCepComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.inputCnpjComp.length > 0) {
            this.inputCnpjComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.inputCpfComp.length > 0) {
            this.inputCpfComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.inputEmailComp.length > 0) {
            this.inputEmailComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.inputMaskComp.length > 0) {
            this.inputMaskComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.inputNumberComp.length > 0) {
            this.inputNumberComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.inputTelefoneComp.length > 0) {
            this.inputTelefoneComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.selectComp.length > 0) {
            this.selectComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.radioComp.length > 0) {
            this.radioComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.listViewComp.length > 0) {
            this.listViewComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.dateBoxComp.length > 0) {
            this.dateBoxComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.uploadComp.length > 0) {
            this.uploadComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.autoCompleteComp.length > 0) {
            this.autoCompleteComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.checkBoxComp.length > 0) {
            this.checkBoxComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.moneyComp.length > 0) {
            this.moneyComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.textareaComp.length > 0) {
            this.textareaComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
        if (this.multiSelectComp.length > 0) {
            this.multiSelectComp.forEach(function (item, index) {
                if (!item.isNotMasterDetail) {
                    item.value = null;
                }
            });
        }
    };
    return AbstractForm;
}());
AbstractForm.propDecorators = {
    'inputTextComp': [{ type: core_1.ContentChildren, args: [input_text_component_1.InputTextComponent, { descendants: true },] },],
    'inputTelefoneComp': [{ type: core_1.ContentChildren, args: [input_telefone_component_1.InputTelefoneComponent, { descendants: true },] },],
    'inputPasswordComp': [{ type: core_1.ContentChildren, args: [input_password_component_1.InputPasswordComponent, { descendants: true },] },],
    'inputNumberComp': [{ type: core_1.ContentChildren, args: [input_number_component_1.InputNumberComponent, { descendants: true },] },],
    'inputMaskComp': [{ type: core_1.ContentChildren, args: [input_mask_component_1.InputMaskComponent, { descendants: true },] },],
    'inputCepComp': [{ type: core_1.ContentChildren, args: [input_cep_component_1.InputCepComponent, { descendants: true },] },],
    'inputCnpjComp': [{ type: core_1.ContentChildren, args: [input_cnpj_component_1.InputCnpjComponent, { descendants: true },] },],
    'inputCpfComp': [{ type: core_1.ContentChildren, args: [input_cpf_component_1.InputCpfComponent, { descendants: true },] },],
    'inputEmailComp': [{ type: core_1.ContentChildren, args: [input_email_component_1.InputEmailComponent, { descendants: true },] },],
    'radioComp': [{ type: core_1.ContentChildren, args: [radio_component_1.RadioComponent, { descendants: true },] },],
    'listViewComp': [{ type: core_1.ContentChildren, args: [list_view_component_1.ListViewComponent, { descendants: true },] },],
    'dateBoxComp': [{ type: core_1.ContentChildren, args: [datebox_component_1.DateboxComponent, { descendants: true },] },],
    'uploadComp': [{ type: core_1.ContentChildren, args: [upload_component_1.UploadComponent, { descendants: true },] },],
    'autoCompleteComp': [{ type: core_1.ContentChildren, args: [autocomplete_component_1.AutocompleteComponent, { descendants: true },] },],
    'checkBoxComp': [{ type: core_1.ContentChildren, args: [checkbox_component_1.CheckboxComponent, { descendants: true },] },],
    'moneyComp': [{ type: core_1.ContentChildren, args: [money_component_1.MoneyComponent, { descendants: true },] },],
    'textareaComp': [{ type: core_1.ContentChildren, args: [textarea_component_1.TextareaComponent, { descendants: true },] },],
    'multiSelectComp': [{ type: core_1.ContentChildren, args: [multiselect_component_1.MultiselectComponent, { descendants: true },] },],
    'selectComp': [{ type: core_1.ContentChildren, args: [select_component_1.SelectComponent, { descendants: true },] },],
};
exports.AbstractForm = AbstractForm;
