"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var FilterPipe = (function () {
    function FilterPipe() {
    }
    FilterPipe.prototype.transform = function (items, filter) {
        if (!items || !filter || filter.length < 3) {
            return items;
        }
        return items.filter(function (item) { return item.value.toString().toLowerCase().indexOf(filter.toLowerCase()) !== -1 || item.text.toString().toLowerCase().indexOf(filter.toLowerCase()) !== -1; });
    };
    return FilterPipe;
}());
FilterPipe.decorators = [
    { type: core_1.Pipe, args: [{
                name: 'sbmFilter'
            },] },
];
/** @nocollapse */
FilterPipe.ctorParameters = function () { return []; };
exports.FilterPipe = FilterPipe;
var SelectFilterPipe = (function () {
    function SelectFilterPipe() {
    }
    SelectFilterPipe.prototype.transform = function (items, filter) {
        if (!items || !filter || filter.length < 3) {
            return items;
        }
        return items.filter(function (item) { return item['label'].toString().toLowerCase().indexOf(filter.toLowerCase()) !== -1; });
    };
    return SelectFilterPipe;
}());
SelectFilterPipe.decorators = [
    { type: core_1.Pipe, args: [{
                name: 'selectFilter'
            },] },
];
/** @nocollapse */
SelectFilterPipe.ctorParameters = function () { return []; };
exports.SelectFilterPipe = SelectFilterPipe;
var SelectTransformPipe = (function () {
    function SelectTransformPipe() {
    }
    SelectTransformPipe.prototype.transform = function (value) {
        if (value) {
            return value['label'];
        }
        return null;
    };
    return SelectTransformPipe;
}());
SelectTransformPipe.decorators = [
    { type: core_1.Pipe, args: [{
                name: 'sbmTransformSelect'
            },] },
];
/** @nocollapse */
SelectTransformPipe.ctorParameters = function () { return []; };
exports.SelectTransformPipe = SelectTransformPipe;
