"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var core_2 = require("@ngx-translate/core");
var TranslatePipe = (function () {
    function TranslatePipe(_translateService) {
        this._translateService = _translateService;
    }
    TranslatePipe.prototype.transform = function (campoInformado) {
        //return new Observable((observer) => {
        //    this._translateService.onLangChange.subscribe(retIdioma => {
        //
        //        if (campoInformado.indexOf("i18n") > -1) {
        //            if(_projectName && retIdioma.translations['i18n'][_projectName]){
        //                observer.next(retIdioma.translations['i18n'][_projectName][campoInformado.replace("i18n.", "")]);
        //            }
        //        } else {
        //            observer.next(retIdioma.translations['i18n']['sabium-framework'][campoInformado.replace("#", "")]);
        //        }
        //
        //        observer.complete();
        //    });
        //});
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this._translateService.onLangChange.subscribe(function (retIdioma) {
                if (campoInformado.indexOf("i18n") > -1) {
                    if (_projectName && retIdioma.translations['i18n'][_projectName]) {
                        resolve(retIdioma.translations['i18n'][_projectName][campoInformado.replace("i18n.", "")]);
                    }
                }
                else {
                    resolve(retIdioma.translations['i18n']['sabium-framework'][campoInformado.replace("#", "")]);
                }
            });
        }).then(function (ret) {
            return ret;
        });
    };
    return TranslatePipe;
}());
TranslatePipe.decorators = [
    { type: core_1.Pipe, args: [{
                name: 'translatePipe'
            },] },
];
/** @nocollapse */
TranslatePipe.ctorParameters = function () { return [
    { type: core_2.TranslateService, },
]; };
exports.TranslatePipe = TranslatePipe;
