"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var MenuService = (function () {
    function MenuService() {
        this.menu1 = {
            id: 1,
            title: 'TV',
            items: [{
                    id: 11,
                    title: 'HD Video Player',
                    iconSrc: 'http://www.jacotei.com.br/guia/wp-content/uploads/2012/01/xTV-Philco-21-PH21SS.jpg.pagespeed.ic.tarKyoSwk7.jpg'
                }, {
                    id: 12,
                    title: 'SuperHD Video Player',
                    items: [{
                            id: 111,
                            title: 'HD Video Player 111',
                            iconSrc: 'http://havan.vteximg.com.br/arquivos/ids/1809619-128-128/smart-tv-led-32-hd-ready-samsung-unj4300ag-1-29.jpg'
                        }, {
                            id: 121,
                            title: 'SuperHD Video Player 121',
                            iconSrc: 'http://a4.mzstatic.com/eu/r30/Purple62/v4/0b/85/19/0b8519b0-5f42-54de-99f6-da8fae02d3ce/icon128-2x.png'
                        }]
                }]
        };
        this.menu2 = {
            id: 2,
            title: 'Monitores',
            items: [{
                    id: 21,
                    title: 'HD Video Player'
                }, {
                    id: 22,
                    title: 'SuperHD Video Player'
                }]
        };
        this.menu3 = {
            id: 3,
            title: 'Video Games',
            items: [{
                    id: 31,
                    title: 'HD Video Player',
                    iconSrc: 'https://image.freepik.com/free-icon/video-game_318-106141.jpg'
                }, {
                    id: 32,
                    title: 'SuperHD Video Player',
                    iconSrc: 'https://image.freepik.com/icones-gratis/controle-de-video-game_318-111782.jpg'
                }]
        };
        this.menu4 = {
            id: 4,
            title: 'Microondas',
            iconSrc: 'http://icon-icons.com/icons2/37/PNG/512/microwave_4006.png'
        };
    }
    MenuService.prototype.getMenu = function () {
        return Promise.resolve([this.menu1, this.menu2, this.menu3, this.menu4]);
    };
    return MenuService;
}());
MenuService.decorators = [
    { type: core_1.Injectable },
];
/** @nocollapse */
MenuService.ctorParameters = function () { return []; };
exports.MenuService = MenuService;
